# After 2012/11/01, the changelog is now auto-generated.
# This file is for historical purposes only.
# ChangeLog for genkernel
# Copyright: 
# - 2003-2008 Gentoo Foundation
# - 2008-2012 Various authors (see AUTHORS)
# Distributed under the GPL v2
# $Id: 7902101f65eb47fdc5ed4b116ee234aa23686e1b $

  19 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_bootloader.sh:
  Missing then keyword.

  15 Oct 2012; Peter Hjalmarsson <xake@rymdraket.net> defaults/linuxrc:
  Support using init= on the command line.

  15 Oct 2012; Peter Hjalmarsson <xake@rymdraket.net> README,
  doc/genkernel.8.txt, gen_bootloader.sh, genkernel:
  Update the documentation to reflect current status re real_root/init.

  15 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Bump to 3.4.44.2 with depmod corner cases by xake.

  15 Oct 2012; Peter Hjalmarsson <xake@rymdraket.net> gen_compile.sh:
  Fix calling of depmod.

  15 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Bump for 3.4.44.1 with bugfix-only.

  15 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_compile.sh,
  gen_package.sh:
  Fix corner cases on OUTPUTDIR.

  14 Oct 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.44

  14 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_cmdline.sh,
  gen_configkernel.sh, gen_determineargs.sh:
  Bug #432956: Easy to include VirtIO support in kernel.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load,
  defaults/modules_load:
  Clean up module drift over the years. Just MODULES_CRYPTO left.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> doc/genkernel.8.txt:
  Document resume parameters.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load,
  defaults/initrd.scripts, defaults/linuxrc, defaults/modules_load,
  gen_configkernel.sh, gen_initramfs.sh:
  Bug #286187: Complete multipath support.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.defaults,
  defaults/initrd.scripts, defaults/linuxrc, doc/genkernel.8.txt:
  Bug #351873: More livecd control, and initramfs livecd argument
  documentation.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> arch/alpha/kernel-config,
  arch/ppc/kernel-config, arch/x86/kernel-config, arch/x86_64/kernel-config,
  defaults/kernel-config:
  Bug #336170: amd74xx was long-replaced by pata_amd. The old driver is
  problematic, as even with the pata_amd module loaded, it will not release the
  device. Disable the old driver on remaining platforms, add pata_amd where
  missing & needed (not alpha).

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Bug #414581: ensure built-in initramfs compress config options are set to
  avoid silentoldconfig bailing out.

  13 Oct 2012; Łukasz Stelmach <stlman@poczta.fm> gen_cmdline.sh,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh, gen_funcs.sh,
  genkernel:
  Bug #435210 support external kernel output location, to allow pristine
  source.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_compile.sh:
  Bug #397947: Run depmod on new modules to avoid need to run at every boot on
  unionfs systems, or systemd that never runs it.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Put the version of genkernel used in a build into /etc/build_id.

  13 Oct 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/linuxrc:
  Extra creation of /run in the LiveCD scope, before any union/aufs mount.

  03 Oct 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.43

  03 Oct 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Use actual kernel config for check of available compression methods (bug
  #436820)

  03 Oct 2012; Dustin Frisch <dustin.frisch@gmail.com> defaults/linuxrc:
  With boot parameter real_init=/foo look for ${NEW_ROOT}/foo, not
  ${NEW_ROOT}/sbin/init (bug #437080)

  23 Sep 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Append e2fsck and mke2fs to initramfs. Original patch by Rick Farina

  10 Sep 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.42

  10 Sep 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/busybox/1.20.2/busybox-1.20.2-glibc-sys-resource.patch:
  Add busybox 1.20.2 patch: busybox-1.20.2-glibc-sys-resource.patch

  10 Sep 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/busybox/1.20.2/1.18.1-openvt.diff,
  +patches/busybox/1.20.2/busybox-1.7.4-signal-hack.patch,
  +patches/busybox/1.20.2/busybox-1.20.1-mdstart.patch:
  Copy busybox patches from 1.20.1 to 1.20.2

  30 Aug 2012; Fabio Erculiani <lxnay@gentoo.org> defaults/linuxrc:
  mount /mnt/cdrom inside target chroot even when aufs/unionfs is disabled

  14 Aug 2012; Richard Yao <ryao@gentoo.org> genkernel:
  Bump version to 3.4.41

  12 Aug 2012; Sebastian Pipping <sping@gentoo.org> +defaults/software.sh,
  genkernel.conf:
  Move software version defaults for defaults/software.sh to ease the
  etc-update game

  12 Aug 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Fix parsing of --config=... command line option

  27 Jul 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  genkernel:
  Bump version to 3.4.40

  24 Jul 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts:
  Flip awk return values.

  24 Jul 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts:
  Minor thinko in devpts check.

  24 Jul 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts:
  Prior commit to only mount devtmpfs and devpts if they were not already
  mounted made assumptions about the device names they were mounted as. Check
  the filesystem column of /proc/mounts instead.

  21 Jul 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.39

  17 Jul 2012; Robin H. Johnson <robbat2@gentoo.org> arch/x86_64/kernel-config:
  Bug #399703: amd64 default kernel config did not have EFI support.
  
  15 July 2012; Robin H. Johnson <robbat2@gentoo.org> doc/genkernel.8.txt,
  Document the isoboot option, as designed for GRUB2 usage 3 years ago.

  09 Jul 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.38

  09 Jul 2012; Sebastian Pipping <sping@gentoo.org> gen_compile.sh:
  Fix linking of unionfs-fuse 0.24

  09 Jul 2012; Sebastian Pipping <sping@gentoo.org>
  patches/fuse/2.8.6/fuse-2.8.6-glibc-2.14.patch:
  Allow compilation of FUSE 2.8.6 with glibc 2.14 (bug #425080)

  09 Jul 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Restore previous handling of real_root due to report of regressions (bug
  #419965)

  08 Jul 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.37

  08 Jul 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh,
  genkernel:
  Always report used kernel config file

  08 Jul 2012; Sebastian Pipping <sping@gentoo.org> gen_configkernel.sh,
  gen_initramfs.sh:
  Catch case with no initramfs compression supported by kernel (bug #423847)

  08 Jul 2012; Sebastian Pipping <sping@gentoo.org> gen_configkernel.sh,
  gen_initramfs.sh:
  Fix detection of initramfs compression with bzip2 as best candidate

  08 Jul 2012; Sebastian Pipping <sping@gentoo.org> arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/modules_load:
  Add xts to MODULES_CRYPTO (bug #425028)

  01 Jul 2012; Sebastian Pipping <sping@gentoo.org> gen_configkernel.sh,
  gen_package.sh:
  Support --kernel-config=/proc/config.gz (bug #421027)

  08 Jul 2012; Kenny Cheng <kenny97821419@gmail.com> defaults/linuxrc:
  Add /run to support openrc >=0.10 (bug #425180)

  11 Jun 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.36

  11 Jun 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Respect real_root for plain dm-crypt without LVM (bug #419965)

  10 Jun 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.35

  10 Jun 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/busybox/1.20.1/1.18.1-openvt.diff,
  +patches/busybox/1.20.1/busybox-1.7.4-signal-hack.patch,
  +patches/busybox/1.20.1/busybox-1.20.1-mdstart.patch:
  Support busybox 1.20.1 (bug #419511)

  04 Jun 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.34

  02 Jun 2012; Sebastian Pipping <sping@gentoo.org> defaults/linuxrc:
  Support bind mounts from /etc/initramfs.mounts (bug #418463)

  02 Jun 2012; Sebastian Pipping <sping@gentoo.org> arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/modules_load:
  Make sure that cbc.ko and aes*.ko needed for cbc-essiv:sha256 (=default) disk
  encryption are included with the initramfs (bug #416973)

  28 May 2012; Sebastian Pipping <sping@gentoo.org> gen_funcs.sh:
  Fix an e2fsprogs compilation leftover (bug #417095), reported by Juergen Rose

  17 May 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump to 3.4.33.1

  17 May 2012; Sebastian Pipping <sping@gentoo.org> defaults/linuxrc:
  Fix call to blkid as "blkid -l -t UUID=foo" (without -o device) does not seem
  to work well with blkid of util-linux

  17 May 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.33

  17 May 2012; Sebastian Pipping <sping@gentoo.org>
  -patches/e2fsprogs/1.42/e2fsprogs-1.41.12-getpagesize.patch, gen_compile.sh,
  gen_initramfs.sh, genkernel, genkernel.conf:
  Use blkid from system's util-linux rather than compiling e2fsprogs ourselves

  14 May 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.32

  14 May 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Stop removing lvm/dmsetup from the initramfs (bug #415697), reported by
  I.zaufi, bug introduced in 9f36ecc125bf2c20bd28c0ad513577a858140a77 affects
  genkernel >=3.4.30

  12 May 2012; Sebastian Pipping <sping@gentoo.org> arch/x86/kernel-config,
  arch/x86_64/kernel-config, defaults/kernel-config:
  Set CONFIG_DEVTMPFS=y on x86, x86_64, default for udev

  12 May 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.31

  18 Apr 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  lddtree call must be outside the for loop.

  16 Apr 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Use CC0 instead of public domain for copy_binaries to cover French
  jurisdiction concerns.

  16 Apr 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.30

  16 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Support a non-static cryptsetup binary (bug #409277)
 
  15 Apr 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Release copy_binaries function as public domain.

  15 Apr 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Handle other binary paths for LVM.

  09 Apr 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/keymaps/keymapList, defaults/keymaps/sf.map:
  Add keymap "sf" from Pentoo

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.29

  08 Apr 2012; Mike Auty <ikelos@gentoo.org> gen_bootloader.sh:
  Support for Grub 2, adjustements by Tomasz Wasiak

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh,
  genkernel.conf:
  Add "fastest" to supported initrd compressions

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Support comression "lzop" (not just "lzo") as wrongly advertised by comments
  in genkernel.conf before

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Be more helpful when requested compression is not available

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Error out on unknown initrd compression, reported by Peter Gantner (bug
  #411197)

  08 Apr 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Fix initrd compression "gzip", reported by Peter Gantner (bug #411197)

  30 Mar 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.28

  29 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Restore original /dev/tty after GPG (bug #410073), report and initial patch
  by Brendan Pike

  22 Mar 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.27

  22 Mar 2012; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Fail hard on LUKS inclusion error (bug #409277), advise about
  sys-fs/cryptsetup[static], drop support for cryptsetup binary from /bin/

  22 Mar 2012; Sebastian Pipping <sping@gentoo.org> gen_funcs.sh,
  gen_initramfs.sh:
  Make errors stand out more

  22 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Fix docache (bug #397309)

  22 Mar 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.26

  16 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Drop into debug shell when squashfs could not be mounted

  16 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Drop into debug shell when files could not be copied into tmpfs

  16 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Improve handling of missing /etc/fstab

  16 Mar 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  No longer use parameter "-r" (for regex intervals) that busybox awk does not
  support

  10 Mar 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Bump version for release.

  25 Feb 2012; Sebastian Pipping <sping@gentoo.org> arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/modules_load:
  Make sure the sha256 module makes it into the initramfs (bug #405495).
  Reported by Ogelpre.

  20 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/linuxrc:
  With the new /usr mounting, if the device path that ends up in /proc/mounts
  ends up being different than in /etc/fstab due to symlinks, mount -a will
  always exit 32. Avoid by resolving symlinks like util-linux does.

  14 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_compile.sh,
  gen_initramfs.sh:
  dmraid is entirely broken if you try to use the system static
  LVM/device-mapper. Instead start always building LVM2 for the initramfs,
  using DESTDIR for cleaner install. Dead code paths for old LVM2 build not
  removed yet until more users have tested.

  12 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_compile.sh:
  More UTILS_CROSS_COMPILE prefix on strip calls.

  12 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load,
  defaults/modules_load:
  Bug #401583: include more DM and MD modules for other RAID/LVM
  configurations.

  12 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_compile.sh:
  Bug #265005: ensure CROSS_COMPILE is set for cross-compile strip calls to
  work.

  12 Feb 2012; Robin H. Johnson <robbat2@gentoo.org>
  +patches/dmraid/dmraid-1.0.0_rc16-as-needed2.patch,
  +patches/dmraid/dmraid-1.0.0_rc16-return-all-sets.patch,
  +patches/dmraid/dmraid-1.0.0_rc16-static-build-fixes.patch,
  +patches/dmraid/dmraid-1.0.0_rc16-undo-p-rename.patch,
  +patches/dmraid/dmraid-1.0.0.rc16-3-staticlink.patch, genkernel.conf:
  Bug #398467: Update dmraid. Also add other patches from Portage tree.

  12 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_funcs.sh, genkernel.conf:
  device-mapper "update". It was merged into LVM2-2.02.67 upstream in 2010.
  Bug #398467 is wrong for the device-mapper update.

  09 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Dogfooding of the /usr mount code with the matching OpenRC change to make the
  mounts RW revealed some bugs and gotchas in our prior code, now fixed and
  verified to work.

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> arch/alpha/config.sh,
  arch/arm/config.sh, arch/ia64/config.sh, arch/mips/config.sh,
  arch/parisc/config.sh, arch/parisc64/config.sh, arch/ppc/config.sh,
  arch/ppc64/config.sh, arch/sparc/config.sh, arch/sparc64/config.sh,
  arch/um/config.sh, arch/x86/config.sh, arch/x86_64/config.sh:
  Ensure default for new initramfs compression is used.

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Bugfixes in new code branches that I didn't test fully.

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> doc/genkernel.8.txt,
  gen_cmdline.sh:
  Update documentation for new initramfs compression.

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/config.sh,
  gen_cmdline.sh, gen_determineargs.sh, gen_initramfs.sh, genkernel.conf:
  Import customizable compression for initramfs, based on Pentoo development.

  06 Feb 2012: Richard Yao <ryao@cs.stonybrook.edu> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load,
  defaults/busy-config, defaults/initrd.scripts, defaults/linuxrc,
  defaults/modules_load, doc/genkernel.8.txt, gen_cmdline.sh,
  gen_determineargs.sh, gen_initramfs.sh, genkernel:
  This provides ZFS support, to go with the sys-fs/zfs package.

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Refactor copy_binaries and multipath slightly for ease of usage and readability.

  06 Feb 2012: Richard Yao <ryao@cs.stonybrook.edu> gen_initramfs.sh:
  Refactor multipath initramfs generation using copy_binaries.

  06 Feb 2012: Richard Yao <ryao@cs.stonybrook.edu> gen_initramfs.sh:
  copy_binaries utility function for putting binaries and librares into
  initramfs (see git commit for full details).

  06 Feb 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts:
  Support virtio devices, and provide fallback of all remaining devices.

  03 Feb 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Support SD card readers. Patch by Rick Farina

  24 Jan 2012; Sebastian Pipping <sping@gentoo.org> .gitignore, genkernel:
  Bump version to 3.4.24

  24 Jan 2012; Sebastian Pipping <sping@gentoo.org> arch/alpha/kernel-config,
  arch/ia64/kernel-config, arch/ppc/kernel-config, arch/sparc64/kernel-config,
  arch/x86/kernel-config:
  Unset CONFIG_SYSFS_DEPRECATED for udev (bug #335763)

  15 Jan 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.23.1

  14 Jan 2012; Sebastian Pipping <sping@gentoo.org> defaults/busy-config:
  Re-activate mdstart in busybox config

  14 Jan 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/busybox/1.19.3/busybox-1.19.3-mdstart.patch:
  Port mdstart patch to busybox 1.19.3

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org> defaults/busy-config:
  Busybox config: Enable verbose usage

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org> defaults/busy-config:
  Update busybox config using "yes '' | make oldconfig"

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.23

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/busybox/1.19.3/1.18.1-openvt.diff,
  +patches/busybox/1.19.3/busybox-1.7.4-signal-hack.patch:
  Copy patches from busybox/1.18.1 to busybox/1.19.3

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/e2fsprogs/1.42/e2fsprogs-1.41.12-getpagesize.patch:
  Add a patch for e2fsprogs/1.42 from main tree

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org>
  +patches/lvm/2.02.88/lvm2-2.02.72-no-export-dynamic.patch:
  Copy patch from lvm/2.02.74 to lvm/2.02.88

  13 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> gen_determineargs.sh:
  Prior to commit a141d715, CMD_NOINSTALL had no default set, but most of the
  usages were of the form "! isTrue ${CMD_NOINSTALL}", which on an unset value,
  came out as false. These were replaced by "isTrue ${CMD_INSTALL}", but my
  analysis of the needed default value was wrong, and was set to false instead
  of true.

  13 Jan 2012; Sebastian Pipping <sping@gentoo.org> genkernel.conf:
  Replace "# FOO=bar" by "#FOO=bar" in genkernel.conf to (1) distinguish
  commented-out options from their explanatory comments and (2) to return
  consistenty (bug #398471)

  12 Jan 2012; Sebastian Pipping <sping@gentoo.org> gen_compile.sh:
  Support application of patches before compilation for tools which previously
  lacked that support. Special thanks to Tomasz Wasiak (bug #398469)

  08 Jan 2012; Sebastian Pipping <sping@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load:
  Add mpt2sas to auto-load SCSI modules as requested by Borg Onion

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Bump to 3.4.22 to reflect /usr mount support.

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Code to mount /usr and other filesystems as needed for new udev and systemd.

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Bump version to 3.4.21.2. Stock configuration of 3.4.21.1 generates
  unbootable initramfs!

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> gen_determineargs.sh,
  genkernel.conf:
  Fix some defaults otherwise you get an initramfs without any modules!

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> defaults/busy-config:
  Awk support in busybox is needed for initramfs setup code (to parse fstab).

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> TODO:
  Multipath has been done for a while now.

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> genkernel.conf:
  Add a configuration option for --install, so users can get it as a default.
  Defaults to "no", due to catalyst.

  06 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> ChangeLog:
  Fix up changelog

  05 Jan 2012; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.21.1

  05 Jan 2012; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc, doc/genkernel.8.txt:
  Introduce boot parameter root_trim=(yes|no) for SSDs.
  Special thanks:
  - Christian Kruse

  04 Jan 2012; Sebastian Pipping <sping@gentoo.org> arch/um/busy-config,
  defaults/busy-config, netboot/busy-config:
  Set CONFIG_NFSMOUNT=n in busybox config to fix compilation with glibc 2.14.
  Special thanks:
  - Borg Onion

  04 Jan 2012; Robin H. Johnson <robbat2@gentoo.org> arch/mips/config.sh,
  doc/genkernel.8.txt, gen_cmdline.sh, gen_compile.sh, gen_determineargs.sh,
  gen_funcs.sh, gen_initramfs.sh, genkernel, genkernel.conf:
  Provide real boolean commandline options for options that were previously
  only available as booleans in the config, so that they can be enable in
  configuration and overridden to disable on the commandline. Remove negation
  on options: NOINSTALL, NORAMDISKMODULES, NO_KERNEL_SOURCES.

  08 Nov 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.20

  31 Oct 2011; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Fix return value of crypt_filter() which caused bogus LUKS opening errors
  (bug #383545)

  30 Oct 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.19

  25 Oct 2011; Fabio Erculiani <lxnay@gentoo.org> gen_compile.sh:
  fix random build failures during e2fsprogs, force -j1

  08 Oct 2011; Fabio Erculiani <lxnay@gentoo.org> defaults/initrd.defaults,
  defaults/initrd.scripts, defaults/linuxrc:
  Do not hardcode /mnt/cdrom path across the whole code, use CDROOT_PATH
  instead. At the same time, mount cdrom into /mnt/cdrom instead of
  /newroot/mnt/cdrom (which is now just a bind mount), this avoids
  losetup to expose unavailable paths inside the live system, breaking
  mkfs.btrfs (next upstream version, which does silly things with
  /proc/mounts).

  07 Oct 2011; Robin H. Johnson <robbat2@gentoo.org>
  patches/busybox/1.18.1/1.18.1-mdstart.diff:
  Fix patch typo that broke compile.

  22 Sep 2011; Robin H. Johnson <robbat2@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Fix trailing backtick and root-on-LVM.

  13 Sep 2011; Fabio Erculiani <lxnay@gentoo.org> gen_compile.sh,
  gen_initramfs.sh:
  dmraid requires dmsetup to assign UUID to discovered RAID volumes, close bug
  #382555

  11 Sep 2011; Fabio Erculiani <lxnay@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  drop parse_opt usage and crufty, deprecated subshelling through 

  30 Aug 2011; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Fix quoting issue (bug #380729).
  Thanks to:
  - Axel Bringenberg

  30 Aug 2011; Sebastian Pipping <sping@gentoo.org>
  +patches/mdadm/3.1.4/mdadm-3.1.4-z-now.patch, gen_compile.sh:
  Enable patch application for mdadm, add patch to fix compilation (bug
  #381089)

  28 Aug 2011; Fabio Erculiani <lxnay@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc, doc/genkernel.8.txt:
  Add basic support to AUFS2, requires kernel with aufs module or built-in

  16 Aug 2011; Fabio Erculiani <lxnay@gentoo.org> gen_compile.sh:
  gen_compile: correct MAKEOPTS usage on utils task

  16 Aug 2011; Fabio Erculiani <lxnay@gentoo.org> gen_compile.sh:
  gen_compile: always use -j1 with kernel *_install targets, fixes compilation
  with make 3.82

  06 Aug 2011; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  No longer copy /lib/libsysfs*so* for multipath-tools (bug #300841, bug
  #377709)

  31 Jul 2011; Sebastian Pipping <sping@gentoo.org>
  -patches/busybox/1.7.4/1.7.4-ash-timeout.diff,
  -patches/busybox/1.7.4/1.7.4-mdstart.diff,
  -patches/busybox/1.7.4/1.7.4-mount-umount-i-option.diff,
  -patches/busybox/1.7.4/1.7.4-openvt.diff,
  -patches/busybox/1.7.4/1.7.4-static-error.diff,
  -patches/busybox/1.7.4/1.7.4-make-3.82.diff, -patches/busybox/1.7.4/README,
  -patches/busybox/1.7.4/busybox-1.7.4-signal-hack.patch:
  End support for 4 years old busybox 1.7.4 (bug #377133)

  31 Jul 2011; Sebastian Pipping <sping@gentoo.org> doc/genkernel.8.txt:
  Improve doc on filing bugs

  28 Jul 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.18

  27 Jul 2011; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Fix display of seconds waiting (bug #376575)
  Thanks to Richard Scott

  26 Jul 2011; Robin H. Johnson <robbat2@gentoo.org> gen_arch.sh:
  Bug #376467: fix kernel version checks for 3.0 kernel.

  23 Jul 2011; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts,
  netboot/linuxrc.x:
  Fix permissions of /dev/pts (bug #375947)

  20 Jul 2011; Fabio Erculiani <lxnay@sabayon.org> defaults/config.sh,
  doc/genkernel.8.txt, gen_cmdline.sh, gen_compile.sh:
  Make possible to compile XEN based kernels providing --kernel-target= and
  --kernel-binary= switches

  03 Jul 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Set version to 3.4.17

  03 Jul 2011; Sebastian Pipping <sping@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/modules_load, arch/x86_64/modules_load,
  defaults/initrd.defaults, defaults/initrd.scripts, defaults/linuxrc,
  defaults/modules_load, doc/genkernel.8.txt, gen_cmdline.sh,
  gen_determineargs.sh, gen_initramfs.sh, genkernel, genkernel.conf,
  maintenance/docmatcher.py:
  Remove support for sys-fs/evms, as it was removed from Gentoo (bug #372423)

  22 Jun 2011; Sebastian Pipping <sping@gentoo.org> gen_compile.sh:
  Make --arch-override= affect "make menuconfig" (bug #247246)

  13 Jun 2011; Sebastian Pipping <sping@gentoo.org> arch/x86_64/kernel-config:
  Unset CONFIG_EMBEDDED on arch amd64

  13 Jun 2011; Sebastian Pipping <sping@gentoo.org> arch/x86/kernel-config,
  arch/x86_64/kernel-config, defaults/kernel-config:
  Apply CONFIG_USB_HID=y to archs amd64/x86/default (bug #270983)

  13 Jun 2011; Sebastian Pipping <sping@gentoo.org> arch/x86/kernel-config,
  arch/x86_64/kernel-config, defaults/kernel-config:
  Unset CONFIG_IDE on archs amd64/x86/default (bug #357213)

  07 Jun 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.16

  07 Jun 2011; Sebastian Pipping <sping@gentoo.org> doc/genkernel.8.txt:
  Document most undocumented boot parameters (bug #370369)

  07 Jun 2011; Sebastian Pipping <sping@gentoo.org> doc/genkernel.8.txt:
  Docs: Fix mixup of boot parameters real_init= and init_opts=

  04 Jun 2011; Sebastian Pipping <sping@gentoo.org> genkernel.conf,
  maintenance/docmatcher.py:
  Document remaining options inside genkiernel.conf (bug #367233)

  01 Jun 2011; Sebastian Pipping <sping@gentoo.org> defaults/linuxrc,
  doc/genkernel.8.txt:
  Document option lvmraid= and make it imply dolvm (bug #153502)

  31 May 2011; Sebastian Pipping <sping@gentoo.org> defaults/linuxrc,
  doc/genkernel.8.txt:
  Add rootfstype= boot parameter (bug #221245)
  Special thanks:
  - Marcin Kurek

  31 May 2011; Nelson Batalha <nelson.batalha@gmail.com> defaults/initrd.defaults:
  Add Kernel 3.0.0 support (bug #369481)

  31 May 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Output warning in warning color

  31 May 2011; Sebastian Pipping <sping@gentoo.org> doc/genkernel.8.txt,
  genkernel:
  Document boot parameter domdadm (bug #369415)

  12 May 2011; Amadeusz Żołnowski <aidecoe@aidecoe.name>
  defaults/modules_load:
  Added hpsa to defaults/modules_load; fixes bug #363369

  28 Mar 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump to 3.4.15

  24 Mar 2011; Peter Hjalmarsson <xake@rymdraket.net> defaults/linuxrc, initrd.scripts:
  Rescue /proc and /sys over into chroot
  Apply mount options noexec,nosuid,nodev to /proc and /sys

  22 Mar 2011; Fabio Erculiani <lxnay@sabayon.org> gen_compile.sh, patches/iscsi/*:
  Fix compilation of iSCSI

  23 Mar 2011; Peter Hjalmarsson <xake@rymdraket.net> doc/genkernel.8.txt,
  gen_cmdline.sh, gen_initramfs.sh:
  Remove "--slowusb" as it is enabled by default now. Also document "noslowusb"
  ramdisk option that skips it.

  22 Mar 2011; Peter Hjalmarsson <xake@rymdraket.net> defaults/initrd.defaults,
  defaults/initrd.scripts:
  Set DO_slowusb as default, and make setup_slowusb unset it if it cannot find
  a usb-storage attached. This makes genkernel ramdisk adhere to "noslowusb",
  makes the ramdisk only wait if there is a usb-storage attached and should fix
  gentoo bug #359619.

  16 Mar 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.14

  16 Mar 2011; Fabio Erculiani <lxnay@sabayon.org> **/modules_load:
  Add btrfs to MODULES_FS

  07 Mar 2011; Peter Hjalmarsson <xake@rymdraket.net> defaults/initrd.scripts:
  Fix typo where the kernelcmd version "dokeymap" was added to MY_HWOPTS
  instead of the HWOPTS version "keymap".
  Broke setups where only "keymap=<...>" was added to kernelcmd (bug #356167)

  24 Feb 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Fix handling of mdadm.conf (bug #354809)
  Special thanks:
  - Peter Hjalmarsson

  10 Feb 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.13

  09 Feb 2011; Sebastian Pipping <sping@gentoo.org> genkernel.conf:
  Add SPLASH and SPLASH_THEME to genkernel.conf (bug #268468)
  Special thanks:
  - PhobosK

  08 Feb 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Add iBFT support for iSCSI (bug #314575)
  Special thanks:
  - Stefan Behte

  7 Feb 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Use devtmpfs/tmpfs for /dev (bug #353024)
  Rescue devtmpfs /dev over to chroot (bug #353024, bug #344407)
  Special thanks:
  - Peter Hjalmarsson

  31 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.6

  31 Jan 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Speed up LVM activation (bug #351047)
  Special thanks:
  - Peter Hjalmarsson

  30 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.5

  30 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Give blkid of e2fsprogs precedence over busybox re-write by putting it into
  /sbin, not /bin (bug #352746)

  30 Jan 2011; Sebastian Pipping <sping@gentoo.org> arch/x86_64/kernel-config:
  Enable CONFIG_USB_SUSPEND and CONFIG_PM_RUNTIME for x86_64 (bug #351376)

  30 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.4

  30 Jan 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Enhance console handling on netboot linuxrc (bug #353084)
  Enable shadow on netboot's busybox config (bug #353085)
  Special thanks:
  - Raúl Porcel

  29 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.3

  29 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_compile.sh:
  No longer require device mapper bincache for compiling lvm (bug #353026)
  Special thanks:
  - Peter Hjalmarsson

  27 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.2

  27 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_determineargs.sh:
  Revert kernel release detection fix (regression) (bug #352787)

  23 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12.1

  23 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_initramfs.sh:
  Fix copying of mdadm/mdmon to the initramfs (bug #352496). Thanks to Malcolm
  Lashley for reporting.

  23 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.12

  22 Jan 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Enable CONFIG_USB_SUSPEND for x86/amd64 (bug #351376)
  Replace "${MAKEOPTS/-j?/j1}" by "${MAKEOPTS} -j1" (bug #277607)

  21 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_determineargs.sh:
  Do not query generated files (like include/config/kernel.release) for kernel
  version, as they may be out of sync (bug #263927)

  20 Jan 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Add proper mdadm support (bug #282100)
  Special thanks:
  - Craig Andrews (Testing)
  - Laurent Pinchart (mdmon/IMSM support)
  - Matthias Dahl (Initial patch)
  - Peter Hjalmarsson (Testing)

  20 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.11.1

  20 Jan 2011; Sebastian Pipping <sping@gentoo.org> gen_configkernel.sh:
  Move application of kernel config after "make mrproper" as that deletes
  .config (whereas "make clean" does not) (bug #351906)
  Special thanks:
  - Peter Hjalmarsson

  20 Jan 2011; Sebastian Pipping <sping@gentoo.org>
  patches/busybox/1.18.1/1.18.1-mdstart.diff:
  busybox 1.18.1: Return of mdstart as an applet (regression) (bug #351909)

  16 Jan 2011; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.11

  16 Jan 2011; Sebastian Pipping <sping@gentoo.org> defaults/initrd.scripts:
  Do not sleep after vgscan (bug #351047)

  16 Jan 2011; Sebastian Pipping <sping@gentoo.org> ChangeLog:
  Changes:
  - Fix compilation of LVM 2.02.74 (and 2.02.28) (bug #255196, bug #267383)
  - Add minimal btrfs support (bug #303529)
  - Add support for UUID to crypt_root (bug #315467)
  - Run "make firmware_install" if CONFIG_FIRMWARE_IN_KERNEL != y (bug #244651)
  - Port busybox patches from 1.7.4 to 1.18.1 (bug #331971)
  - Handle missing kernel .config better (bug #271528)
  - Improve slowusb handling (bug #323317)
  - Add GnuPG 1.x support (bug #217959)
  - Check return codes of cpio (bug #246370)
  - Update e2fsprogs/blkid to 1.41.14 (bug #291822)
  - Create /bin/vg* symlinks when called as /linuxrc, too (bug #307855)
  - Pick first device when several devices are matching real_root (bug #303531)
  - Fix warning "cannot remove `/var/cache/genkernel/src'" (bug #347213)
  - Allow configuring the list of busybox applets (bug #326593)
  - Fix arithmetic bug in defaults/initrd.scripts (bug #339789)
  Special thanks:
  - Amadeusz Zolnowski (LVM update)
  - Christian Giessner (UUID crypt_root)
  - dacook (GnuPG 1.x support)
  - Denis Kaganovich (Busybox patch porting)
  - devsk (Multi-device patch)
  - Fabio Erculiani (Slowusb fixes)
  - Kai Dietrich (Symlink analysis)
  - Kolbjørn Barmen (Arithmetic fix)

  13 Dec 2010; Sebastian Pipping <sping@gentoo.org> genkernel:
  Bump version to 3.4.10.908

  13 Dec 2010; <sping@gentoo.org> doc/genkernel.8.txt, gen_cmdline.sh:
  docs: Document --genzimage

  13 Dec 2010; <sping@gentoo.org> gen_cmdline.sh:
  Fix a reference to --nomenuconfig into --no-menuconfig

  13 Dec 2010; <sping@gentoo.org> doc/genkernel.8.txt:
  docs: Update man page from output of --help

  13 Dec 2010; <sping@gentoo.org> doc/genkernel.8.txt:
  docs: Document keymap= and dokeymap (bug #346017)

  6 Dec 2010; <sping@gentoo.org> genkernel.conf:
  .conf: Document LUKS variable (bug #346015)

  6 Dec 2010; <sping@gentoo.org> doc/genkernel.8.txt:
  docs: Mention both "initramfs" and "ramdisk" as available actions
  (bug #251702)

  6 Dec 2010; <sping@gentoo.org> genkernel.8:
  man page: Propagate rename of --no-initrdmodules to --no-ramdisk-modules

  29 Nov 2010; <sping@gentoo.org> ChangeLog:
  Add patch allowing compilation of busybox 1.7.4 with make 3.82 (bug #341943)

  20 Feb 2010; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Apply patches from Gentoo bug #268468

  19 Jan 2010; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Only call set_bootloader is CMD_NOINSTALL is not set for Gentoo bug
  #301454

  27 Dec 2009; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/kernel-config, arch/ia64/modules_load,
  arch/mips/modules_load, arch/parisc/modules_load,
  arch/parisc64/modules_load, arch/ppc/kernel-config, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load,
  arch/sparc64/kernel-config, arch/sparc64/modules_load,
  arch/um/modules_load, arch/x86/kernel-config, arch/x86/modules_load,
  arch/x86_64/kernel-config, arch/x86_64/modules_load,
  defaults/kernel-config:
  Add USB HID modules to modules_load and default kernel-config (for Gentoo
  bug #270983)

  27 Dec 2009; Andrew Gaffney <agaffney@gentoo.org>
  arch/alpha/kernel-config, arch/alpha/modules_load, arch/arm/modules_load,
  arch/ia64/kernel-config, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load,
  arch/ppc/kernel-config, arch/ppc/modules_load, arch/ppc64/modules_load,
  arch/sparc/modules_load, arch/sparc64/kernel-config,
  arch/sparc64/modules_load, arch/um/modules_load, arch/x86/kernel-config,
  arch/x86/modules_load, arch/x86_64/kernel-config,
  arch/x86_64/modules_load, defaults/kernel-config, defaults/modules_load:
  Enable ext4 by default everywhere (for Gentoo bug #268818)

  27 Dec 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Add support for isoboot= option (for Gentoo bug #294268)

  26 Dec 2009; Andrew Gaffney <agaffney@gentoo.org>
  defaults/initrd.defaults, defaults/initrd.scripts:
  Properly apply NFS mount options for Gentoo bug #262915

  26 Dec 2009; Andrew Gaffney <agaffney@gentoo.org>
  arch/alpha/kernel-config, arch/ia64/kernel-config, arch/ppc/kernel-config,
  arch/x86_64/kernel-config:
  Enable CONFIG_SCSI_MULTI_LUN option for Gentoo bug #261122

  26 Dec 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Apply patch to make sure loop cache directory exists for Gentoo bug
  #297814

  17 Dec 2009; Robin H. Johnson <robbat2@gentoo.org> HACKING:
  Document how to roll a release for the next time.

  17 Dec 2009; Robin H. Johnson <robbat2@gentoo.org> genkernel:
  Tag 3.4.10.907 release.

  06 Dec 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  use a symlink instead of a hardlink for busybox utils (for Gentoo bug
  #246370)

  23 Nov 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Fix typo for Gentoo bug #294138

  16 Nov 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Make sure to change back to existant directory before removing the current
  directory for Gentoo bug #291794

  15 Oct 2009; <craig@haquarter.de> Changelog:
  added iSCSI support

  22 Sep 2009; <tsunam@gentoo.org> ChangeLog:
  modified the libaio search so it'll actually work, cause I'm a dork

  21 Sep 2009; <tsunam@gentoo.org> gen_initramfs.sh:
  Fix broken libraries for multipath per Gentoo bug #284592

  21 Sep 2009; <tsunam@gentoo.org> gen_initramfs.sh:
  Update to fix broken initramfs caused by multipath config in Gentoo bug #284589

  05 Sep 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Apply patch from Gentoo bug #220913 for tuxonice resume

  14 Aug 2009; Andrew Gaffney <agaffney@gentoo.org> genkernel.conf:
  Enable DISKLABEL=yes by default

  05 Aug 2009; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  This is genkernel 3.4.10.906

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel.conf,
  .gitattributes:
  Adding Id header and Ident for genkernel.conf

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org>
  arch/alpha/config.sh, arch/arm/config.sh, arch/ia64/config.sh,
  arch/mips/config.sh, arch/parisc/config.sh, arch/parisc64/config.sh,
  arch/ppc/config.sh, arch/ppc64/config.sh, arch/sparc/config.sh,
  arch/sparc64/config.sh, arch/um/config.sh, arch/x86/config.sh,
  arch/x86_64/config.sh, defaults/config.sh, gen_arch.sh, gen_bootloader.sh,
  gen_cmdline.sh, gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  gen_funcs.sh, gen_initramfs.sh, gen_moddeps.sh, gen_package.sh:
  Adding Id header.

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel,
  .gitattributes:
  Adding Id header and enabling Ident on *.sh files.

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> AUTHORS, BUGS,
  HACKING, README, TODO:
  Adding Id header.

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> .gitattributes:
  Adding additional files to .gitattributes to enable Ident.

  25 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> +.gitattributes:
  Adding .gitattributes file.

  19 Jul 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Change command used to determine real filename for REAL_RESUME for Gentoo
  bug #269603

  19 Jul 2009; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/modules_load,
  arch/arm/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load,
  arch/ppc/modules_load, arch/ppc64/modules_load, arch/sparc/modules_load,
  arch/sparc64/modules_load, arch/um/modules_load, arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/modules_load:
  Add aic94xx to MODULES_SCSI for Gentoo bug #277792

  12 Jul 2009; Andrew Gaffney <agaffney@gentoo.org> arch/x86/kernel-config,
  arch/x86_64/kernel-config:
  enable CONFIG_SYSFS_DEPRECATED=y in x86/x86_64 kernel-config for Gentoo
  bug #225249

  12 Jul 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Apply patch for Gentoo bug #276753 for new lvm.static binary

  07 Jul 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel:
  Version bumping to 3.4.10.905 for release.

  04 Jul 2009; Andrew Gaffney <agaffney@gentoo.org> gen_funcs.sh, genkernel:
  Remove code to check for host kernel LOOP support for Gentoo bug #275757

  28 Jun 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/modprobe,
  genkernel.conf:
  Restore BOOTLOADER="grub" example line in genkernel.conf for Gentoo bug
  #274768

  12 May 2009; Andrew Gaffney <agaffney@gentoo.org> arch/x86/modules_load,
  defaults/initrd.scripts:
  Apply fix to deference links for Gentoo bug #269603

  09 May 2009; Andrew Gaffney <agaffney@gentoo.org> arch/x86/modules_load:
  foo

  09 May 2009; Andrew Gaffney <agaffney@gentoo.org> arch/x86/modules_load,
  arch/x86_64/modules_load:
  Add dm-crypt module for Gentoo bug #269042

  24 Apr 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel:
  Rolling a new genkernel 3.4.10.904 version for testing.

  17 Apr 2009; Andrew Gaffney <agaffney@gentoo.org> netboot/busy-config:
  Apply patch from Gentoo bug #266373 for additional options in the netboot
  busy-config

  06 Mar 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Clean up append_multipath() code to copy files in a loop and report file
  that failed to copy

  06 Mar 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Apply patch from robbat2 to fix whitespace breakage in multipath code

  06 Mar 2009; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh,
  genkernel.conf:
  Apply patch from robbat2 to finish wiring up multipath support

  06 Mar 2009; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Modify append_data to die on 0 arguments and check arg 2 with isTrue().
  Based on a patch from robbat2

  20 Feb 2009; Andrew Gaffney <agaffney@gentoo.org> arch/sparc64/config.sh,
  gen_compile.sh, gen_funcs.sh, gen_package.sh:
  Add support for multiple possible kernel binary paths for Gentoo bug
  #255085

  04 Feb 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Comment out the exec line for console=*, since it seems to blow up when
  the param isn't a true device node, such as ttyS0,115200n8

  19 Jan 2009; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Remove detect_sbp2_devices() for Gentoo bug #239474

  16 Jan 2009; Andrew Gaffney <agaffney@gentoo.org> genkernel.conf:
  Add commented out DISKLABEL=yes option for Gentoo bug #229847

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO:
  Added more verbosity to the auto-detection section.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> AUTHORS:
  Updated the AUTHORS section and the header for the ChangeLog, to reflect
  that individual authors now retain their copyright to code they submit.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO:
  Added a note about Security Tokens, cleaned up the block device section, and
  added a section about autodetection.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> HACKING:
  Adding a note about contacting me to HACKING.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO:
  Adding multipath support is really two different functions, so split them.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO:
  Adding a note about documenting the code paths.

  08 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO:
  Adding new boot support information to the TODO.

  05 Jan 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO, genkernel:
  Version bump to 3.4.10.903 to resolve bug #250330.

  31 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Add case for arm* in get_official_arch()

  31 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/busy-config:
  Enable CONFIG_MKSWAP for netboot busybox

  26 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_bootloader.sh:
  Modify grep regex to account for additional suffixes on old kernel names

  24 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh:
  Add --busybox-config= commandline option

  24 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Revert to just running /bin/bash on /dev/console for serial. We still
  start getty on tty2-6

  23 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh:
  Allow old 'initramfs' option instead of 'ramdisk' for compatability
  (bug #251702)

  17 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Remove the use of 'env -i' when calling switch_root due to Gentoo bug
  #248688

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Run the getty commands with proper arguments so they don't die immediately

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Explicitly set /bin/ashlogin +x during boot

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Run getty for tty1 in the foreground

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x,
  +netboot/misc/bin/ashlogin:
  Use getty to launch ash, so that we can use ^C and friends

  16 Dec 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> +BUGS:
  Adding a BUGS file, where we can list bugs that we have found in genkernel
  that need to be resolved.

  16 Dec 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> +HACKING:
  Adding a HACKING file, which I will use to document the various phases of
  genkernel so we can split up the default functions and also so we can
  provide hooks into the various phases for external addons.

  16 Dec 2008; Chris Gianelloni <wolf31o2@wolf31o2.org>
  arch/alpha/config.sh, arch/arm/config.sh, arch/ia64/config.sh,
  arch/mips/config.sh, arch/parisc/config.sh, arch/parisc64/config.sh,
  arch/ppc/config.sh, arch/ppc64/config.sh, arch/sparc/config.sh,
  arch/sparc64/config.sh, arch/um/config.sh, arch/x86/config.sh,
  arch/x86_64/config.sh, defaults/config.sh, defaults/initrd.defaults,
  defaults/initrd.scripts, defaults/linuxrc, defaults/udhcpc.scripts,
  gen_bootloader.sh, gen_compile.sh, gen_configkernel.sh,
  gen_determineargs.sh, gen_initramfs.sh, gen_moddeps.sh, gen_package.sh,
  genkernel.conf, netboot/linuxrc.x, netboot/misc/bin/net-setup:
  Actually setting permissions. It helps if one remembers to 'git add'
  before doing their commit.

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/busy-config:
  Enable GETTY for netboot busy-config

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  We don't need to add - to UTILS_CROSS_COMPILE since it's already there

  16 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/busy-config,
  gen_compile.sh, +netboot/busy-config:
  Separate out main and netboot busy-config

  15 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Use : as a regex separator instead of / since REAL_ROOT will have / in it

  15 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_bootloader.sh:
  Add check for existing grub.conf entry for kernel

  15 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_bootloader.sh:
  Default to '0' if 'default' line not found at all in existing grub.conf

  15 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_bootloader.sh:
  Adding code that duplicates default grub.conf entry to replace old awk
  script. Based on code written by Mike Auty <ikelos@gentoo.org>

  15 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> +gen_bootloader.sh,
  gen_cmdline.sh, gen_determineargs.sh, genkernel:
  Initial commit for re-adding support for --bootloader=grub

  14 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Change -f checks to -e for /dev nodes Check that dropbear exists before
  starting it

  14 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Explicitly set UTILS_{CC,LD,AS} if UTILS_CROSS_COMPILE is set

  14 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh:
  Typo fix for Gentoo bug #250875

  14 Dec 2008; Chris Gianelloni <wolf31o2@wolf31o2.org>
  arch/alpha/config.sh, arch/arm/config.sh, arch/ia64/config.sh,
  arch/mips/config.sh, arch/parisc/config.sh, arch/parisc64/config.sh,
  arch/ppc/config.sh, arch/ppc64/config.sh, arch/sparc/config.sh,
  arch/sparc64/config.sh, arch/um/config.sh, arch/x86/config.sh,
  arch/x86_64/config.sh, defaults/config.sh, defaults/initrd.defaults,
  defaults/initrd.scripts, defaults/linuxrc, defaults/udhcpc.scripts,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  gen_initramfs.sh, gen_moddeps.sh, gen_package.sh, genkernel.conf,
  netboot/linuxrc.x, netboot/misc/bin/net-setup:
  Setting executable bit properly on shell scripts and configuration files.

  13 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Create /sbin directory in append_luks for bug #250330

  13 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Disable creation of most standard devices nodes, since we're running mdev

  13 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  gen_initramfs.sh, netboot/linuxrc.x:
  Move udhcpc's script to default location

  13 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/busy-config:
  Enable support klogd and syslogd for netboot

  13 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc,
  gen_cmdline.sh, gen_determineargs.sh, gen_initramfs.sh:
  Add --real-root=<foo> parameter to specify a default for real_root= in the
  initramfs for Gentoo bug #249783

  12 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> -arch/alpha/busy-config,
  -arch/arm/busy-config, -arch/ia64/busy-config, -arch/mips/busy-config,
  -arch/parisc/busy-config, -arch/parisc64/busy-config,
  -arch/ppc/busy-config, -arch/ppc64/busy-config, -arch/sparc/busy-config,
  -arch/sparc64/busy-config, -arch/x86/busy-config,
  -arch/x86_64/busy-config, gen_compile.sh:
  Switch search order so arch-specific is first for busy-config Remove
  unneeded identical busy-config files

  12 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh,
  genkernel.conf:
  Remove BUSYBOX_CONFIG from genkernel.conf Add search order for
  busy-config: user-specified, defaults/busy-config,
  arch/%%ARCH%%/busy-config

  12 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> -arch/x86/nb-busybox.cf,
  -defaults/nb-busybox.cf:
  Remove old nb-busybox.cf files that aren't used anymore

  12 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> +arch/arm/busy-config,
  +arch/arm/config.sh, +arch/arm/modules_load:
  Add support for arm from armin76

  12 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/um/busy-config,
  arch/x86/busy-config, arch/x86_64/busy-config, defaults/busy-config:
  Enable CONFIG_MAKEDEVS in busy-config for netboot

  09 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  s/aux/luks/ for Gentoo bug #250330

  07 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/x86/busy-config,
  arch/x86_64/busy-config, defaults/busy-config, netboot/linuxrc.x:
  Enable CONFIG_FEATURE_PREFER_APPLETS busybox option export PATH at top of
  netboot linuxrc

  07 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  netboot/linuxrc.x:
  Move all netboot logic from catalyst into gk

  07 Dec 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/udhcpc.scripts,
  gen_cmdline.sh, gen_determineargs.sh, netboot/linuxrc.x:
  Initial support for --netboot option integrate functionality from netboot
  udhcpc.scripts into default one

  04 Dec 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel:
  Bumping version for release.

  25 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  Use symlinks for busybox utils Use full path to mount since it gets grumpy
  without it in later bb versions for some reason

  17 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Break apart cryptsetup stuff into separate append_luks() and make
  append_auxillary() dependent on ${BUSYBOX} for Gentoo bug #247052

  15 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Applied patch for UUID support for real_resume= from Gentoo bug #239687

  15 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh:
  Added modified version of patch from Gentoo bug #238707

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Only append unionfs_fuse stuff if UNIONFS is set

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc,
  gen_cmdline.sh, gen_determineargs.sh, genkernel:
  Add --unionfs commandline option to enable building of unionfs-fuse Add
  nounionfs boot option

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Add good_msg for creating the union mount

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Pipe stderr for unionfs mount call to /dev/null to supress getcwd message

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Call switch_root with full path

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Call switch_root with 'env -i' to clean out the kernel-defined key/value
  pairs

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Skip good_root check for /dev/nfs for Gentoo bug #246759

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Simplify implementation of parse_opt in linuxrc

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Small cleanups in unionfs code

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/modules_load,
  arch/ia64/modules_load, arch/mips/modules_load, arch/parisc/modules_load,
  arch/parisc64/modules_load, arch/ppc/modules_load,
  arch/ppc64/modules_load, arch/sparc/modules_load,
  arch/sparc64/modules_load, arch/um/modules_load, arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/modules_load, gen_compile.sh,
  gen_initramfs.sh, genkernel:
  Add fuse to MODULES_FS Remove direct calls to compile_fuse() and
  append_fuse() Disable bincache for fuse, since we don't need any files at
  runtime from it

  14 Nov 2008; Andrew Gaffney <agaffney@gentoo.org>
  +patches/busybox/1.7.4/1.7.4-mount-umount-i-option.diff,
  -patches/busybox/1.7.4/1.7.4-simplify-path-debug.diff:
  Replace debug patch with simple patch to add trivial support for -i option
  to mount/umount

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Add suid,dev to unionfs mount opts

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Remove allow_root mount opt, since it conflicts with allow_other

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  patches/busybox/1.7.4/1.7.4-simplify-path-debug.diff:
  Change typo in unionfs-fuse mount opt and add -i support to umount

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/um/busy-config,
  arch/x86/busy-config, arch/x86_64/busy-config, defaults/busy-config:
  Enable CONFIG_FEATURE_MTAB_SUPPORT option for busybox

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  +patches/busybox/1.7.4/1.7.4-mount-i-option.diff:
  Add patch for busybox to add -i option to mount command

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Compile unionfs-fuse statically

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc,
  gen_initramfs.sh:
  Make sure that /sbin/unionfs is +x

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh,
  gen_initramfs.sh:
  Correct unionfs-fuse bincache path and clean up debugging code

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Add -L line into LIB= in Makefile

  13 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Unpack fuse source and modify CFLAGS for unionfs-fuse

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh,
  genkernel.conf:
  Unpack unionfs-fuse with -j

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh:
  Call arch_replace and cache_replace on fuse/unionfs-fuse vars

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel.conf:
  Add fuse/unionfs-fuse blocks to genkernel.conf

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Actually call compile_fuse() and compile_unionfs_fuse()

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts,
  defaults/linuxrc:
  Add back (modified) unionfs code in linuxrc

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Add append_fuse() and append_unionfs_fuse() functions

  12 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Add compile_fuse() and compile_unionfs_fuse()

  04 Nov 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/um/busy-config,
  arch/x86/busy-config, arch/x86_64/busy-config, defaults/busy-config:
  Enabling CONFIG_WGET and CONFIG_FEATURE_TAR_BZIP2 for initial support of
  Gentoo bug #211976

  31 Oct 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel:
  Tagging a 3.4.10.901 release, for testing. Adding periods to ChangeLog to
  fix syntax hilighting.

  15 Sep 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> AUTHORS:
  Adding Andrew and Robin to AUTHORS.

  15 Sep 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh:
  Add dummy handler for --config in gen_cmdline.sh for Gentoo bug #237541.

  12 Sep 2008; Chris Gianelloni <wolf31o2@wolf31o2.org>
  arch/alpha/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load,
  arch/ppc/modules_load, arch/ppc64/modules_load, arch/sparc/modules_load,
  arch/sparc64/modules_load, arch/um/modules_load, arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/initrd.defaults, defaults/modules_load:
  Removing scsi_wait_scan from PATA/SATA/SCSI and moving it to its own
  module group. This allows the module to be loaded last, no matter what
  combination of disks are in the system, allowing for firmware and such to
  be loaded before genkernel continues, even when asynchronous SCSI scanning
  is enabled in the kernel.

  31 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/um/busy-config,
  arch/x86/busy-config, arch/x86_64/busy-config, defaults/busy-config,
  genkernel.conf:
  Enable CONFIG_ROUTE in busy-configs.

  29 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> arch/alpha/busy-config,
  arch/ia64/busy-config, arch/mips/busy-config, arch/parisc/busy-config,
  arch/parisc64/busy-config, arch/ppc/busy-config, arch/ppc64/busy-config,
  arch/sparc/busy-config, arch/sparc64/busy-config, arch/um/busy-config,
  arch/x86/busy-config, arch/x86_64/busy-config, defaults/busy-config,
  defaults/udhcpc.scripts:
  Enable CONFIG_HOSTNAME in all busy-configs and call 'hostname' with value
  from DHCP.

  28 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> arch/x86/kernel-config,
  arch/x86_64/kernel-config:
  Disabled CONFIG_DEBUG_INFO in x86{,_64} kconfigs.

  25 Aug 2008; Andrew Gaffney <agaffney@gentoo.org>
  +patches/busybox/1.7.4/README:
  Add README to busybox patches dir.

  25 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Only apply files from patch dir ending in diff/patch.

  24 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/linuxrc:
  Fix CONSOLE= handling code for bug 232012.

  21 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> -gen_bootloader.sh,
  -gen_bootloader_grub.awk:
  Remove unneeded files for broken grub code.

  21 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, genkernel, genkernel.conf:
  Remove broken grub code.

  07 Aug 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Only append splash portion to initramfs if SPLASH is set.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel.8:
  Fix typo in man page, butt -> but.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/udhcpc.scripts:
  Add support to udhcpc.scripts for default route and DNS servers/domain.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> defaults/initrd.scripts:
  Remove check for >=2.6 for mounting sysfs.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Remove check for >=2.6 for 'make prepare'.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> gen_bootloader.sh,
  gen_configkernel.sh, gen_moddeps.sh, genkernel.8:
  Remove a few more 2.4 kernel support remnants.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh, genkernel:
  Cleanup remaining references to ${ARCH}/ without arch/ prefix.

  29 Jul 2008; Andrew Gaffney <agaffney@gentoo.org> +arch/um/busy-config,
  +arch/um/config.sh, +arch/um/kernel-config, +arch/um/modules_load,
  -um/busy-config, -um/config.sh, -um/kernel-config, -um/modules_load:
  Move um/ underneath arch/ where it belongs.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> gen_compile.sh:
  Removed some unused dietlibc code.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO,
  gen_bootloader.sh, gen_compile.sh, gen_configkernel.sh,
  gen_determineargs.sh, genkernel:
  Removed a large chunk of 2.4 kernel support. This will still require some
  fairly extensive cleaning to completely remove, but I'd say that without a
  shadow of a doubt, genkernel will not function on 2.4 kernels.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> genkernel,
  genkernel.8:
  Added a couple more places where I needed to switch INITRD with RAMDISK.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO,
  arch/alpha/modules_load, arch/ia64/modules_load, arch/mips/modules_load,
  arch/parisc/modules_load, arch/parisc64/modules_load,
  arch/ppc/modules_load, arch/ppc64/modules_load, arch/sparc/modules_load,
  arch/sparc64/modules_load, arch/x86/modules_load,
  arch/x86_64/modules_load, defaults/initrd.scripts, defaults/linuxrc,
  defaults/modules_load, gen_bootloader.sh, gen_cmdline.sh,
  gen_determineargs.sh, gen_initramfs.sh, -gen_initrd.sh, gen_moddeps.sh,
  gen_package.sh, genkernel, genkernel.8:
  Removed all references to an initrd and renamed most initr{d,amfs} stuff
  to simply 'ramdisk' to simplify things for the future.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO,
  +defaults/initrd.defaults, +defaults/initrd.scripts,
  +defaults/keymaps.tar.gz, +defaults/linuxrc, +defaults/modprobe,
  +defaults/udhcpc.scripts, gen_initramfs.sh, -generic/initrd.defaults,
  -generic/initrd.scripts, -generic/keymaps.tar.gz, -generic/linuxrc,
  -generic/modprobe, -generic/udhcpc.scripts:
  Moving files from generic to defaults, since they are the defaults used
  globally.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> TODO, +modules/README:
  Added the modules directory, which will be used to store the built-in
  modules and also for external entities to add their own modules and hooks.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> +defaults/busy-config,
  +defaults/config.sh, +defaults/kernel-config, +defaults/modules_load,
  +defaults/nb-busybox.cf:
  Added a defaults directory to store default files for builds. These are
  overridden by architecture or module specific parameters. This should end
  up reducing the amount of architecture-specific files needed, especially
  as most of them have files which are (nearly) identical.

  28 Jul 2008; Chris Gianelloni <wolf31o2@wolf31o2.org> -alpha/busy-config,
  -alpha/config.sh, -alpha/kernel-config, -alpha/modules_load,
  +arch/alpha/busy-config, +arch/alpha/config.sh, +arch/alpha/kernel-config,
  +arch/alpha/modules_load, +arch/ia64/busy-config, +arch/ia64/config.sh,
  +arch/ia64/kernel-config, +arch/mips/ip22r4k-2006_1.cf,
  -mips/ip22r4k-2006_1.cf, +arch/ia64/modules_load,
  +arch/mips/ip22r5k-2006_1.cf, +arch/mips/ip27r10k-2006_1.cf,
  +arch/mips/ip28r10k-2006_1.cf, +arch/mips/ip30r10k-2006_1.cf,
  +arch/mips/ip32r5k-2006_1.cf, +arch/mips/ip32rm5k-2006_1.cf,
  -mips/ip22r5k-2006_1.cf, -mips/ip27r10k-2006_1.cf,
  -mips/ip28r10k-2006_1.cf, -mips/ip30r10k-2006_1.cf,
  -mips/ip32r5k-2006_1.cf, -mips/ip32rm5k-2006_1.cf, +arch/mips/busy-config,
  +arch/mips/config.sh, +arch/mips/modules_load, +arch/mips/nb-busybox.cf,
  +arch/parisc/busy-config, +arch/parisc/config.sh,
  +arch/parisc/modules_load, +arch/parisc64/busy-config,
  +arch/parisc64/config.sh, +arch/parisc64/modules_load,
  +arch/ppc/busy-config, +arch/ppc/config.sh, +arch/ppc/kernel-config,
  +arch/ppc/modules_load, +arch/ppc64/busy-config, +arch/ppc64/config.sh,
  +arch/ppc64/kernel-2.6-pSeries, +arch/ppc64/kernel-2.6.g5,
  +arch/ppc64/modules_load, +arch/sparc/busy-config, +arch/sparc/config.sh,
  +arch/sparc/kernel-config, +arch/sparc/modules_load,
  +arch/sparc64/busy-config, +arch/sparc64/config.sh,
  +arch/sparc64/kernel-config, +arch/sparc64/modules_load,
  +arch/x86/busy-config, +arch/x86/config.sh, +arch/x86/kernel-config,
  +arch/x86/modules_load, +arch/x86/nb-busybox.cf, +arch/x86_64/busy-config,
  +arch/x86_64/config.sh, +arch/x86_64/kernel-config,
  +arch/x86_64/modules_load, gen_configkernel.sh, genkernel.conf,
  -ia64/busy-config, -ia64/config.sh, -ia64/kernel-config,
  -ia64/modules_load, -mips/busy-config, -mips/config.sh,
  -mips/modules_load, -mips/nb-busybox.cf, -parisc/busy-config,
  -parisc/config.sh, -parisc/modules_load, -parisc64/busy-config,
  -parisc64/config.sh, -parisc64/modules_load, -ppc/busy-config,
  -ppc/config.sh, -ppc/kernel-config, -ppc/modules_load, -ppc64/busy-config,
  -ppc64/config.sh, -ppc64/kernel-2.6-pSeries, -ppc64/kernel-2.6.g5,
  -ppc64/modules_load, -sparc/busy-config, -sparc/config.sh,
  -sparc/kernel-config, -sparc/modules_load, -sparc64/busy-config,
  -sparc64/config.sh, -sparc64/kernel-config, -sparc64/modules_load,
  -x86/busy-config, -x86/config.sh, -x86/kernel-config, -x86/modules_load,
  -x86/nb-busybox.cf, -x86_64/busy-config, -x86_64/config.sh,
  -x86_64/kernel-config, -x86_64/modules_load:
  Moved architecture folders under the arch subfolder.

  05 Jun 2008; Chris Gianelloni <wolf31o2@gentoo.org> -um/kernel-config-2.6,
  -ppc/kernel-config-2.6, -alpha/kernel-config-2.6, -ia64/kernel-config-2.6,
  -x86/kernel-config-2.6, -x86_64/kernel-config-2.6, +um/kernel-config,
  +ppc/kernel-config, +alpha/kernel-config, +ia64/kernel-config,
  +x86/kernel-config, +x86_64/kernel-config, genkernel:
  Rename kernel-config-2.6 to kernel-config, since we no longer support 2.4
  kernels. This is genkernel 3.4.10 for release.

  05 Jun 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  -ppc/2.6.3-benh2-G4-SMP.autoload, -ppc/2.6.3-benh2-G4.autoload,
  -ppc/2.6.3-benh2-G5-SMP.autoload, ia64/kernel-config-2.6,
  -ppc/2.6.3-benh2-G5.autoload, -ppc/G4, -ppc/G4-SMP,
  +ppc/kernel-config-2.6, x86/kernel-config-2.6, -ppc/G5, -ppc/G5-SMP,
  alpha/kernel-config-2.6, x86_64/kernel-config-2.6, TODO, -ppc/Pegasos,
  sparc64/kernel-config:
  Sync kernel configs from releng/trunk/releases/2008.0/kconfig and remove
  some unused configs.

  13 May 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Move setup_keymap call to before LUKS setup.

  10 May 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Store pre-oldconfig busybox .config for use in bincache comparison.

  09 May 2008; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.defaults,
  generic/initrd.scripts, generic/linuxrc:
  Add nomodules kernel commandline parameter to disable loading of modules.

  09 May 2008; Andrew Gaffney <agaffney@gentoo.org> gen_funcs.sh, genkernel,
  genkernel.conf:
  Move distfile cache to /var/cache/genkernel/src and add check to make sure
  all distfiles are present.

  09 May 2008; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, mips/modules_load, parisc/modules_load,
  parisc64/modules_load, ppc/modules_load, ppc64/modules_load,
  sparc/modules_load, sparc64/modules_load, um/modules_load,
  x86/modules_load, x86_64/modules_load:
  Added a few SATA and PATA drivers to modules_load.

  09 May 2008; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, mips/modules_load, parisc/modules_load,
  parisc64/modules_load, ppc/modules_load, ppc64/modules_load,
  sparc/modules_load, sparc64/modules_load, um/modules_load,
  x86/modules_load, x86_64/modules_load:
  Updated the modules_load files.

  25 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, genkernel:
  Enable keymap code when keymap is set on the kernel command line. This is
  genkernel 3.4.10_pre10 for testing.

  25 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  We need to unset keymap if it doesn't match to keep from hitting an infinite
  loop.

  24 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_determineargs.sh,
  gen_funcs.sh, generic/initrd.scripts, generic/linuxrc:
  Updated the keymap-handling code so it will be installed and displayed
  without using --do-auto-keymap with a patch from Florian Schilhabel
  <fernsehleo@gmx.net> for bug #215822. Also, added a keymap= command line
  option to allow setting keymap from the bootloader, also from Florian.

  22 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Change from using a directory check to a file check. This should fix bug
  #215822.

  12 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults:
  Move removable storage like USB and firewire after traditional fixed storage
  like PATA/SATA/SCSI for bug #217347.

  10 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org> TODO, genkernel:
  Updated TODO.  This is 3.4.10_pre9 for testing.

  08 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults, generic/initrd.scripts:
  Added scsi to the default list of modules to load.

  05 Apr 2008; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh:
  Set CMD_KEYMAP to default to yes, so it's enabled unless specifically
  disabled

  04 Apr 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, genkernel:
  Added a patch to skip device nodes for devices if at least one partition
  exists on the device. This aids in LiveUSB usage and is for bug #212794.
  This is genkernel 3.4.10_pre8.

  03 Apr 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Split up /dev node checks into console/null and tty1

  02 Apr 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Remove initrd-specific code from linuxrc

  30 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Uncomment ppc/ppc64->powerpc code in set_kernel_arch, since it appears to
  actually be necessary as of 2.6.24-gentoo-r4

  29 Mar 2008; Andrew Gaffney <agaffney@gentoo.org>
  +patches/busybox/1.7.4/busybox-1.7.4-signal-hack.patch:
  Add patch from ebuild in-tree to fix build issue with signals on hppa

  14 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh:
  Get rid of --initramfs option as it doesn't do anything anymore

  14 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> genkernel,
  genkernel.conf, -pkg/alpha/README, -pkg/ia64/README, -pkg/mips/.keep,
  -pkg/parisc/README, -pkg/parisc64/README, -pkg/ppc/README,
  -pkg/ppc64/README, -pkg/sparc/README, -pkg/sparc64/README, -pkg/um/README,
  -pkg/x86/README, -pkg/x86_64/README, -pkg/xen0/README, -pkg/xenU/README:
  Removing pkg directory, since it is no longer necessary. From now on, we'll
  just pull the tarballs from DISTDIR directly, and we've already moved our
  caches to /var/tmp/genkernel, so there's nothing left to keep here. This is
  genkernel 3.4.10_pre7 for testing.

  14 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_package.sh:
  Copy the original kconfig with a different name than the one used to build

  14 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_package.sh:
  Include original kconfig in kerncache If original kconfig exists in the
  kerncache, use that for comparison to the current kconfig

  14 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Switch back to building kernel first
  Optionally build the kernel a second time if we're integrating the initramfs

  14 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  genkernel, ia64/modules_load, mips/modules_load, parisc/modules_load,
  parisc64/modules_load, ppc/modules_load, ppc64/modules_load,
  sparc/modules_load, sparc64/modules_load, um/modules_load,
  x86/modules_load, x86_64/modules_load:
  Clean up the modules_load files and add qla2xxx. This is genkernel
  3.4.10_pre6 for testing.

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Stick CONFIG_INITRAMFS_ROOT_GID in the .config, too

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Remove existing CONFIG_INITRAMFS_SOURCE line and write new one as well as
  CONFIG_INITRAMFS_ROOT_UID line

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Change sed delimeter

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  We should edit the copy of the kconfig instead of the source file

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  genkernel:
  Instead of copying the initramfs into the kernel tree, we now sed the
  kconfig to point CONFIG_INITRAMFS_SOURCE to the generated image

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> sparc64/modules_load:
  Add scsi_wait_scan to sparc64's MODULES_SCSI

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Add a check after mounting NEW_ROOT to see if /dev exists and /sbin/init is
  executable before moving on

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Change the location we copy the intiramfs to for integrated initramfs

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Revert last commit as it wasn't a problem

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Remove -c "/dev/console" from switch_root command

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Add missing $ to {NORMAL} for broken /dev message

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_package.sh:
  Spacing cleanups in gen_package.sh

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh, genkernel:
  Remove unsetting of ARCH for callback and change set_kernel_arch debug to
  use print_info

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh:
  It helps to actually add the handling for the --integrated-initramfs option

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Use echo instead of print

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Add debug code for set_kernel_arch

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Add debugging code to show ARCH when running callback
  Unset ARCH when running callback and restore afterwards

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> genkernel:
  Move set_kernel_arch() call to after determine_real_args() so that get_KV()
  has populated the vars we need

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Change powerpc switch kernel version to 2.6.16 for if we ever uncomment it

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh,
  gen_compile.sh, genkernel:
  Add set_kernel_arch(), which maps the genkernel arch to the arch that the
  kernel expects based on the version of the kernel

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  gen_package.sh, genkernel:
  Get rid of the ENABLE_PEGASOS_HACKS hacks Add INTEGRATED_INITRAMFS option to
  optionally insert the generated initramfs directly into the kernel image
  Change default build order to build the kernel last to facilitate the
  INTEGRATED_INITRAMFS option Add GENZIMAGE option and change various checks
  from ENABLE_PEGASOS_HACKS to GENZIMAGE

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Argh...Changing the right line helps

  13 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Change into initramfs-firmware-temp/ instead of
  initramfs-firmware-temp/lib/firmware/ before doing cpio

  12 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc,
  genkernel:
  Added a small debug statement to generic/linuxrc so we know when we're
  hitting the initrd code path. This is genkernel 3.4.10_pre5 for testing.

  12 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Change to new temp directory so the firmware gets copied to the right place

  12 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Copy firmware file with -L so we get the file instead of the symlink

  12 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Fix another quoting malfunction

  12 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> alpha/busy-config,
  ia64/busy-config, mips/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, x86/busy-config,
  x86_64/busy-config:
  Explicitly enable MDADM and MDSTART in busy-config

  12 Mar 2008; Andrew Gaffney <agaffney@gentoo.org>
  patches/busybox/1.7.4/1.7.4-static-error.diff:
  Update busybox static-error patch to actually work

  12 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.conf:
  Change BUSYBOX_VER to VERSION_BUSYBOX for genkernel-9999 ebuild.

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Remove the quotes when trying to expand a glob

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org>
  patches/busybox/1.7.4/1.7.4-mdadm.diff,
  patches/busybox/1.7.4/1.7.4-mdstart.diff:
  Update mdadm and mdstart patches

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  It helps if we assign the correct value to version
  Send output of patch command to /dev/null
  Show a message saying we're patching if there are patches for the util

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org>
  +patches/busybox/1.7.4/1.7.4-static-error.diff:
  Add busybox patch to remove error about compiling statically

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> alpha/busy-config,
  gen_compile.sh, ia64/busy-config, mips/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, x86/busy-config,
  x86_64/busy-config:
  Update busy-config files for the various arches for busybox 1.7.4

  11 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh,
  genkernel.conf, +patches/busybox/1.7.4/1.7.4-ash-timeout.diff,
  +patches/busybox/1.7.4/1.7.4-mdadm.diff,
  +patches/busybox/1.7.4/1.7.4-mdstart.diff,
  +patches/busybox/1.7.4/1.7.4-openvt.diff:
  Add apply_patches() function to automagically apply patches for a given util
  Add updated busybox patches for 1.7.4 from robbat2
  Change BUSYBOX_VER to 1.7.4

  11 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Rearrange checks so the return value is read correctly.

  10 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> alpha/busy-config,
  gen_initrd.sh, generic/initrd.scripts, generic/linuxrc, ia64/busy-config,
  mips/busy-config, parisc/busy-config, parisc64/busy-config,
  ppc/busy-config, ppc64/busy-config, sparc/busy-config,
  sparc64/busy-config, um/busy-config, x86/busy-config, x86_64/busy-config:
  Enable CONFIG_HEXDUMP globally for busybox
  Add getdvhoff replacement function from vapier
  Remove copying of getdvhoff from system

  10 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_initramfs.sh, genkernel.conf:
  Add support for --firmware-files option to make robbat2 happy

  10 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_initramfs.sh, genkernel.conf:
  Add support for --firmware and --firmware-dir options to include firmware in
  the initramfs

  09 Mar 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Apply patch from Vince C <v_cadet@yahoo.fr> to mount sysfs prior to loading
  modules, so that the mdev firmware loading can actually work

  04 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh:
  If we have a raid456.ko module, we need to create a raid45.ko symlink since
  dmraid can be rather stupid. This should resolve bug #195804.

  04 Mar 2008; Chris Gianelloni <wolf31o2@gentoo.org> sparc64/kernel-config,
  alpha/kernel-config-2.6, ia64/kernel-config-2.6, x86/kernel-config-2.6,
  x86_64/kernel-config-2.6:
  Updated the kernel configs for arches which have given us their 2008.0
  configs. This is 3.4.10_pre4 for testing.

  29 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  Redirect which output to /dev/null and put quotes around var in test

  29 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, ppc/modules_load, ppc64/modules_load, um/modules_load,
  x86_64/modules_load:
  Changed MDRAID to MDADM for bug #211316.

  28 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_initramfs.sh, gen_initrd.sh, generic/initrd.scripts:
  Added a --no-keymap option for bug #210886.

  28 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  generic/linuxrc:
  Use which to determine the location of splash_geninitramfs, rather than
  having an endless number of conditional checks for the location. This fixes
  bug #211521. Thanks to Uriy Zhuravlev <stalkerg@gmail.com> for finding the
  problem and suggesting a solution.

  20 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  -xenU/kernel-config-2.6, -xen0/kernel-config-2.6, genkernel,
  -xen0/busy-config, -xen0/config.sh, -xen0/modules_load, -xenU/busy-config,
  -xenU/config.sh, -xenU/modules_load:
  Removing the xen0 and xenU arches, since they didn't work, anyway. This is
  genkernel 3.4.10_pre3 for testing.

  20 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> gen_package.sh:
  Add missing space before closing ]

  19 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts:
  Apply patch from bug 210457 to fix variable substitution. Thanks to Paul
  Taylor <birder@ozemail.com.au> for reporting

  19 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Remove quotes from around ${ROOT_TREES} so that the dirs are parsed
  separately by bash/cp

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh,
  gen_determineargs.sh, gen_funcs.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc,
  genkernel, genkernel.8, genkernel.conf:
  Removing DEVFS support from genkernel since we don't support 2.4 kernels
  anymore. This is 3.4.10_pre2.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Added a line to make sure we remove image.squashfs as well as the other loop
  names used by catalyst.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh:
  Added another patch from Javier Miqueleiz <javier@miqueleiz.com> in bug
  #198892 for mdadm 1.1 and 1.2 metadata support.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc:
  Switch to detection for LOOP and LOOPTYPE when they are not set.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Performed some minor cleanup.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Move "busybox --install -s" to outside the /init check. Fix problems with
  running mknod on a non-CD root filesystem, which will be read-only, for bug
  #208266.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> -um/kernel-config-2.4,
  -alpha/kernel-config-2.4, -parisc64/kernel-config-2.4,
  -xenU/kernel-config-2.4, -parisc/kernel-config-2.4,
  -x86/kernel-config-2.4, -xen0/kernel-config-2.4:
  Removing 2.4 kernel configs, since we aren't supporting 2.4 from here on out.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  We only need to make sure that we have /sbin and /usr/sbin in our PATH for
  bug #97378, not reset it. Thanks to Justin Bronder <jsbronder@gentoo.org> in
  bug #209182 for pointing it out. This is genkernel 3.4.10_pre1 for testing.

  14 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.scripts, generic/linuxrc, genkernel, genkernel.conf,
  mips/config.sh:
  This is the long-awaited unionfs code cleanup. All of the unionfs code in
  genkernel has been removed.

  07 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh:
  Fix two calls to set_config_with_override on CMD_KERNCACHE and some
  indentation weirdness

  04 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts:
  Change &>/dev/null to >/dev/null 2>&1 because busybox ash sucks

  04 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts,
  generic/linuxrc:
  Switch to double quotes where we're interpolating variables, because I suck

  03 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> sparc64/modules_load:
  Add qla2xxx to sparc64's MODULES_SCSI

  03 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_moddeps.sh:
  Add --all-initrd-modules option to copy all kernel modules into
  initrd/ramfs. This is useful for netboot images

  03 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts,
  generic/linuxrc:
  Add setup_hotplug() function that runs before the modules are loaded to
  setup mdev as the hotplug event handler. Add $KV to /lib/modules anywhere it
  occurs to allow for an initramfs with multiple sets of modules

  03 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> gen_configkernel.sh,
  genkernel.conf:
  Clean up OLDCONFIG logic and default to OLDCONFIG=yes. This is for bug 207895

  02 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Moving the code to start resume operations so it doesn't run when booting
  from CD. We also don't execute the code if there's no real_resume set on the
  command line, since it will fail, anyway, without it.

  02 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> alpha/modules_load,
  ia64/modules_load, ppc/modules_load, ppc64/modules_load, um/modules_load,
  x86/modules_load, x86_64/modules_load, xen0/modules_load,
  xenU/modules_load:
  add megaraid module to MODULES_SCSI for bug 206039

  02 Feb 2008; Andrew Gaffney <agaffney@gentoo.org> generic/modprobe:
  specify the kernel version when looking for a module for bug 208593

  02 Feb 2008; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults, generic/initrd.scripts:
  Removed runUdev, since we no longer use it.

  11 Jan 2008; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh, genkernel:
  Fixing a problem where we were copying the busybox binary cache into the
  busybox temporary directory. I am assuming that this was a result of all of
  the changes we've been doing, and it simply just got everlooked. Thanks to
  Marek Szuba <cyberman@if.pw.edu.pl> for pointing it out in bug #204087. This
  is genkernel 3.4.9 FINAL. Enjoy.

  28 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.defaults,
  generic/initrd.scripts, generic/linuxrc:
  Don't scan a bunch of extra devices when CDROOT_DEV is defined.

  28 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts,
  generic/linuxrc:
  Add new cdroot_type=foo kernel commandline parameter to override -t iso9660
  for bug #182818.

  28 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts:
  Put -t auto back to -t iso9660 for mounting a cdrom. This is for bug #162962.

  27 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> genkernel.8:
  Fix description of --kernel-config for bug #194752.

  27 Dec 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  This is 3.4.9_pre12 for testing.

  23 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts,
  generic/linuxrc, genkernel.8:
  Apply LUKS key patch from bug #162962 from Nelson Batalha
  <nelson_batalha@hotmail.com>

  14 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Fix text bolding on serial console for bug #202266 thanks to Michael Hordijk
  <hoffbrinkle@hotmail.com>.

  13 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> gen_determineargs.sh:
  Apply a patch from John R. Graham <john_r_graham@mindspring.com> for bug
  #201482.

  06 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> gen_cmdline.sh:
  Do s/KERNELDIR/KERNEL_DIR/ for bug #201159.

  06 Dec 2007; Andrew Gaffney <agaffney@gentoo.org> generic/initrd.scripts:
  Fix typo for bug #201442. Thanks to Michael Hordijk <hoffbrinkle@hotmail.com>.

  03 Dec 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  This is genkernel 3.4.9_pre11 for testing.

  29 Nov 2007; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Do s/elsif/elif/ because I use too many languages and random bash tutorials
  online can't be trusted.

  28 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh,
  genkernel:
  Added a patch line for busybox for bug #198892. This is 3.4.9_pre10 for
  testing.

  24 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_funcs.sh:
  Added a small patch from John R. Graham <john_r_graham@mindspring.com> to
  fix arguments with spaces for bug #200161.

  24 Nov 2007; Andrew Gaffney <agaffney@gentoo.org> generic/linuxrc:
  Use 'read' to get a line at a time to account for directories with spaces in
  the name. This fixes bug 199701.

  23 Nov 2007; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Look for cryptsetup in /bin and /sbin.

  17 Nov 2007; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh:
  Force dmraid to be built with -j1 for bug #188273.

  16 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.conf:
  My original sed of LVM2->LVM caught a few too many things. Thanks to Robin
  Johnson <robbat2@gentoo.org> for pointing them out and providing the fix in
  bug #198546.

  13 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_determineargs.sh,
  genkernel.conf, genkernel:
  Added config defaulting for --mdadm for bug #198694. Thanks to John R.
  Graham <john_r_graham@mindspring.com> for providing the patch. This is
  3.4.9_pre9 for testing.

  08 Nov 2007; Andrew Gaffney <agaffney@gentoo.org> gen_arch.sh:
  Revert patch from bug #190327 as it breaks well more than it fixed.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/config.sh,
  gen_cmdline.sh, gen_determineargs.sh, gen_funcs.sh, gen_initramfs.sh,
  gen_initrd.sh, gen_package.sh, genkernel, genkernel.conf, ia64/config.sh,
  mips/config.sh, parisc/config.sh, parisc64/config.sh, ppc/config.sh,
  ppc64/config.sh, sparc/config.sh, sparc64/config.sh, um/config.sh,
  x86/config.sh, x86_64/config.sh, xen0/config.sh, xenU/config.sh:
  Added a nice patch from John R. Graham <john_r_graham@mindspring.com> to
  allow all command line options to be configurable from within the
  genkernel.conf file. This is for bug #182616. This is genkernel 3.4.9_pre8
  for testing.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Fixed the noload module code. Thanks to Mijail Fedorovich
  <mfedorovich@gmail.com> for pointing it out in bug #198187.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Added an update patch from Alon Bar-Lev <alonbl@gentoo.org> in bug #197244
  to clean up the suspend2 code and rename the functions to tuxonice to match
  the upstream rename.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_initramfs.sh, gen_initrd.sh, gen_package.sh,
  genkernel:
  Added a patch from Joshua Kinard <kumba@gentoo.org> to clean up the Pegasos
  hacks in genkernel. This is from bug #193826. This is genkernel 3.4.9_pre7
  for testing.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_arch.sh:
  Added a simple patch from Andrew Gaffney <agaffney@gentoo.org> to ensure
  that we export ARCH before running menuconfig. This is from bug #190327.

  07 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh,
  generic/initrd.scripts, generic/linuxrc:
  Make sure we still allow dolvm2/doevms2 on the kernel command line and give
  a warning. I've also added a 2 second delay between vgscan and vgchange.
  Thanks to Robin H. Johnson <robbat2@gentoo.org> for suggesting the changes
  and testing.

  02 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> +generic/modprobe,
  gen_initramfs.sh, gen_initrd.sh, genkernel:
  Reverting the removal of generic/modprobe for bug #197730. This is genkernel
  3.4.9_pre6 for testing.

  01 Nov 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh,
  gen_initramfs.sh, genkernel:
  Fixed device-mapper/man removal for bug #196087, fixed mdadm.conf copying,
  and fixed syntax error for bug #197582. This is genkernel-3.4.9_pre5.

  30 Oct 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  -pkg/suspend-0.5-Makefile.patch, -pkg/busybox-1.1.3+gentoo.tar.bz2,
  -pkg/devfsd-1.3.25-dietlibc.patch,
  -pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2, alpha/busy-config,
  gen_cmdline.sh, gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh,
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc,
  genkernel, ia64/busy-config, mips/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, um/busy-config, x86/busy-config,
  x86/modules_load, x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  Added a patch from Alan Hourihane <alanh@fairlite.demon.co.uk> for mdadm
  support in busybox from bug #172128. This is genkernel 3.4.9_pre4 for
  testing.

  30 Oct 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  generic/initrd.scripts, generic/linuxrc:
  Made a few minor cleanups here and there.

  12 Oct 2007; Andrew Gaffney <agaffney@gentoo.org> genkernel.8:
  Update description for --initramfs-overlay in man page to match --help.

  05 Oct 2007; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Remove generic/modprobe and all supporting code, since busybox has it now.

  04 Oct 2007; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh:
  We need to cd out of directory to be deleted for bug #194695. Thanks to Asmund
  Grammeltvedt <asmundg@big-oil.org> for pointing this out.

  18 Sep 2007; Andrew Gaffney <agaffney@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  We don't ever want devfs in an initramfs, so check KERN_24 instead of DEVFS
  for 2.4 initrd generation

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_funcs.sh, gen_initrd.sh,
  genkernel, genkernel.8, genkernel.conf:
  Rename DEBUGLEVEL/DEBUGFILE to LOGLEVEL/LOGFILE to help reduce confusion.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_configkernel.sh, genkernel:
  Some more general cleanup and adding support for using a config file other
  than /etc/genkernel.conf to add flexibility.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  -pkg/module-init-tools-0.9.15-pre4.tar.bz2,
  -pkg/klibc-1.1.16-sparc2.patch, -pkg/klibc-1.2.1-nostdinc-flags.patch,
  -pkg/modutils-2.4.26.tar.bz2:
  Removing klibc/modutils/module-init-tools files, since we don't need any of
  them, anymore.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  It helps if I use 'g' when doing a sed.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_bootloader.sh,
  genkernel, genkernel.conf:
  Removed the use of GK_BIN variable, since it isn't necessary.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> TODO, genkernel.conf:
  Updated TODO and cleaning up genkernel.conf a bit.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc,
  netboot/misc/bin/net-setup, netboot/misc/etc/fstab:
  Remove some unnecessary copyright dates from a few files so we don't keep
  forgetting to update them when we modify the files.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_configkernel.sh, gen_determineargs.sh, gen_initramfs.sh, genkernel,
  genkernel.8, mips/config.sh:
  Renamed gensplash to splash and marked gensplash as deprecated. This is
  3.4.9_pre3 for testing.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> TODO,
  alpha/modules_load, gen_cmdline.sh, gen_compile.sh, gen_configkernel.sh,
  gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc,
  genkernel, genkernel.8, genkernel.conf, ia64/modules_load, mips/config.sh,
  ppc/modules_load, ppc64/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Changed all instances of EVMS2/LVM2 to EVMS/LVM, respectively. This will
  keep everything simplified if a newer EVMS/LVM version set appears.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> README,
  alpha/config.sh, gen_bootloader.sh, gen_cmdline.sh, gen_configkernel.sh,
  gen_determineargs.sh, gen_initrd.sh, gen_package.sh, genkernel,
  genkernel.8, genkernel.conf, ia64/config.sh, mips/config.sh,
  parisc/config.sh, parisc64/config.sh, ppc/config.sh, ppc64/config.sh,
  sparc/config.sh, sparc64/config.sh, um/config.sh, x86/config.sh,
  x86_64/config.sh, xen0/config.sh, xenU/config.sh:
  Removing bootsplash support since it hasn't been in a kernel we've supported
  for years now, causes confusion amongst users, and really wasn't being used
  and caused issues with 2.6/initrd creation in some corner cases.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  -pkg/genkernel-svn-suspend.patch:
  Removing the reversal patch for the suspend removal, since it will no longer
  apply.

  17 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_bootloader.sh,
  gen_cmdline.sh, gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh,
  gen_initrd.sh, generic/linuxrc, genkernel, mips/config.sh:
  Performed some general cleanup on a few files and removed devfs/udev
  selection code, since we force devfs on 2.4 and mdev on 2.6 kernels.

  30 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  gen_initramfs.sh, generic/initrd.scripts, generic/linuxrc, genkernel,
  genkernel.conf, +pkg/genkernel-svn-suspend.patch:
  Removing the suspend support that was added for bug #156445 until suspend is
  added to the tree and we can determine the proper way to support it. For
  more information, see bug #156431. This is genkernel 3.4.9_pre2 for testing.

  22 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> x86/kernel-config-2.6,
  x86_64/kernel-config-2.6, genkernel:
  Removed CONFIG_PHYSICAL_START from the x86/amd64 kernel configs for bug
  #186378. This is genkernel 3.4.9_pre1 for testing.

  22 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  Changing to use console=tty1 instead of CONSOLE=/dev/tty1 with a patch from
  Matthias Schwarzott <zzam@gentoo.org> for bug #188954.

  22 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, ppc/modules_load, ppc64/modules_load, um/modules_load,
  x86/modules_load, x86_64/modules_load, xen0/modules_load,
  xenU/modules_load:
  Added arcmsr to MODULES_SCSI for bug #185827.

  22 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  +pkg/suspend-0.5-Makefile.patch:
  Added suspend-0.5-Makefile.patch to pkg directory for suspend capabilities,
  bringing it into the repository, from the tree.

  22 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.8:
  Added a small patch from Tais M. Hansen <tais.hansen@osd.dk> to add doscsi
  to the genkernel man page for bug #183406.

  21 Aug 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_funcs.sh,
  genkernel.8:
  Added another patch from John R. Graham <john_r_graham@mindspring.com> for
  bug #180161.

  26 Jul 2007; Robin H. Johnson <robbat2@gentoo.org> gen_initramfs.sh:
  Clean up a cosmetic error introduced by the symlink patch:  
  ${GK_SHARE}/gen_funcs.sh: line 431: popd:
  /var/tmp/genkernel/3996.6301.23048.13838/initramfs-modules-${KV}-temp: No
  such file or directory

  26 Jul 2007; Robin H. Johnson <robbat2@gentoo.org> generic/initrd.scripts,
  generic/linuxrc:
  The previous patch from bug #174294 still contained some bugs in the linuxrc
  and scripts, that caused a failure during boot. Clean them up with one more
  patch from Nelson Batalha <nelson_batalha@hotmail.com>, again on bug #174294.

  26 Jul 2007; Andrew Gaffney <agaffney@gentoo.org> netboot/linuxrc.x:
  enhanced netboot linuxrc from gustavoz

  26 Jul 2007; Andrew Gaffney <agaffney@gentoo.org> alpha/busy-config,
  gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  genkernel, genkernel.conf, ia64/busy-config, mips/busy-config,
  parisc/busy-config, parisc64/busy-config, ppc/busy-config,
  ppc64/busy-config, sparc/busy-config, sparc64/busy-config,
  x86/busy-config, x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  enable CONFIG_INSMOD in all arch busy-config files
  disable building of static insmod and remove all code related to it

  26 Jul 2007; Andrew Gaffney <agaffney@gentoo.org> gen_package.sh:
  Patch to compare new config instead of the one left laying around in the
  kerncache dir. Thanks to Pat Double <gentoo@patdouble.com> in bug #179739

  26 Jul 2007; Andrew Gaffney <agaffney@gentoo.org> gen_compile.sh,
  gen_initramfs.sh, gen_initrd.sh, genkernel.conf:
  Patch to actually use busybox bincache. Thanks to Pat Double
  <gentoo@patdouble.com> on bug #180211

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initrd.sh:
  Fixed lvm/evms code for initrd generation. Thanks to Vinny
  <vfuria@gmail.com> on bug #179480 for pointing it out.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  generic/initrd.defaults, ia64/modules_load, ppc/modules_load,
  ppc64/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Added new PATA support from Paul Hewlett <paul@gccs.co.za> from bug #180111
  and also created a separate MDRAID module group.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Added a patch from Nelson Batalha <nelson_batalha@hotmail.com> from bug
  #174294 to enable the use of encryption on a CD and the location of a key.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_determineargs.sh,
  gen_funcs.sh, genkernel, genkernel.8, genkernel.conf:
  Added two patches from John R. Graham <john_r_graham@mindspring.com> from
  bug #180161. This should fix bug #180161, bug #144703, and bug #150697.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> x86/kernel-config-2.6:
  Added USB Printer support for bug #176543.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Change the check for /livecd when booting a CD to check for a file called
  livecd, rather than just the existence of /livecd, which should keep it from
  finding disks with a /livecd directory.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_package.sh:
  Added a patch from Andrew Gaffney <agaffney@gentoo.org> from bug #174188 to
  fix a problem with the System.map file copying that was previously
  introduced.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.8:
  Added patch from Nelson Batalha <nelson_batalha@hotmail.com> from bug
  #172766 to add documentation for genkernel's LUKS features.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Added patch from Nicolas Schlumberger <n.schlumberger@bluewin.ch> to create
  md devices with LUKS for bug #170753.

  21 Jun 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Reverting patch that was originally added due to bug #160333 due to the
  problems it caused on the 2007.0 release.

  12 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_package.sh,
  genkernel:
  Added a patch from Andrew Gaffney <agaffney@gentoo.org> to add System.map to
  the tarball for the minimal kernel package for bug #174188. This is also the
  3.4.8 release.

  12 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, um/modules_load, x86/modules_load, x86_64/modules_load,
  xen0/modules_load, xenU/modules_load:
  Added mptsas to SCSI for bug #174130 and removing raid0/raid1/raid10/raid456
  from DMRAID.

  12 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Commented out the checks on the sanity of lvm.conf since they were not quite
  working right. This should fix bug #173622.

  09 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> +x86/nb-busybox.cf:
  Added nb-busybox.cf to x86 on the request of Andrew Gaffney
  <agaffney@gentoo.org>.

  05 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh, genkernel:
  Added a change to force objdump output to be English for bug #173412 and
  rolling 3.4.7 final for the release.

  05 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Added a patch from Daniel Drake <dsd@gentoo.org> to fix splash problems for
  bug #172562.

  03 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.conf:
  Some minor config file cleanup.

  03 Apr 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  genkernel.8:
  Added a second patch from John R. Graham <john_r_graham@mindspring.com> from
  bug #169383.

  27 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, x86/modules_load, x86_64/modules_load,
  xen0/modules_load, xenU/modules_load:
  Added raid456 to dmraid target for bug #172128.

  26 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Changed LVM configuration detection to not error.

  26 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> x86/kernel-config-2.6:
  Added joystick support to the default configuration for bug #171911.

  14 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh, genkernel:
  Before we copy lvm.conf, we run it through 'lvm dumpconfig' to make sure the
  config is valid for bug #156009. This is 3.4.7_pre5.

  14 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.conf:
  Change the default CACHE_DIR from /usr/share/genkernel/pkg/%%ARCH%% to
  /var/cache/genkernel/%%ARCH%% for bug #148253.

  13 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  ia64/modules_load, um/modules_load, x86/modules_load, x86_64/modules_load,
  xen0/modules_load, xenU/modules_load:
  Added libata to the MODULES_SATA list. This might be why SATA CD drives
  weren't working for us.

  09 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh,
  gen_determineargs.sh, gen_funcs.sh, gen_initramfs.sh, gen_initrd.sh,
  gen_package.sh, genkernel:
  Added a patch by John R. Graham <john_r_graham@mindspring.com> from bug
  #169383 to improve the --symlink option fairly significantly. This is going
  to be 3.4.7_pre4 and while I haven't tested this yet, it looks good.

  09 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh:
  Fixed lib64 link for bug #168664.

  09 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> x86/kernel-config-2.6:
  Update default kernel config with the current LiveCD config for 2007.0,
  which is built on 2.6.19, rather than 2.6.17 only.

  07 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  +pkg/module-init-tools-0.9.15-pre4.tar.bz2,
  +pkg/busybox-1.1.3+gentoo.tar.bz2,
  +pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2,
  +pkg/modutils-2.4.26.tar.bz2:
  Added binary files back and updated busybox with a patch from Peter
  Alfredsen <peter.alfredsen@gmail.com> in bug #168599.

  07 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  -pkg/module-init-tools-0.9.15-pre4.tar.bz2,
  -pkg/busybox-1.1.3+gentoo.tar.bz2,
  -pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2,
  -pkg/modutils-2.4.26.tar.bz2:
  Removing binary files from pkg since they were corrupted during the CVS->SVN
  migration.

  07 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.8:
  Fixed up the man page for bug #168500 and bug #168719.

  14 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel,
  parisc/config.sh, parisc64/config.sh:
  Moved the MAKEOPTS check to the top of the file for parisc, so it matches
  other architectures. This fixes bug #165494. Thanks to Andrew Gaffney
  <agaffney@gentoo.org> for finding the fix. I'm marking this as 3.4.7_pre3
  for testing.

  14 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Adding yet another patch from Fabio Erculiani <lxnay@lxnaydesign.net> from
  bug #152945.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc, genkernel:
  Added a non-braindead version of a patch provided by Fabio Erculiani
  <lxnay@lxnaydesign.net> in bug #160333. This is completely untested, so I'm
  rolling up 3.4.7_pre2 to get it tested prior to genkernel 3.4.7 going final.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> ppc/Pegasos:
  Add a known-working 2.6.16+ kernel config from
  http://www.ppczone.org/downloads/config-2.6.16-pegasos for bug #165758.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.conf:
  Added a note about the MAKEOPTS option to genkernel as suggested in bug
  #165980.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.8:
  Added patch from Mike Frysinger <vapier@gentoo.org> to clean up the
  genkernel man page for bug #166179.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Fix REAL_INIT for bug #160635.

  12 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, genkernel:
  Added patch from Fabio Erculiani <lxnay@lxnaydesign.net> to fix unionfs
  compilation. This is for bug #152945.

  08 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_funcs.sh:
  Added patch from Martin Parm <parmus@diku.dk> to fix the --no-color option.
  This resolves bug #114156.

  15 Jan 2007; Chris Gianelloni <wolf31o2@gentoo.org> gen_bootloader.sh:
  Changed basename to dirname when creating the directory from grub.conf to
  solve bug #161716.

  09 Jan 2007; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  x86/modules_load, x86_64/modules_load, xen0/modules_load,
  xenU/modules_load:
  Added scsi_scan_wait module to modules_load for 2.6.20 support. Thanks to
  Robin H. Johnson for <robbat2@gentoo.org> for pointing it out.

  27 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_bootloader.sh,
  generic/initrd.scripts:
  Added a case statement for the keymap selection to ensure we're always using
  the named keymaps. This should resolve bug #146714 if everything works
  correctly. This is 3.4.6, for real.

  27 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  +generic/keymaps.tar.gz:
  Adding back the known-good copy of keymaps.tar.gz to svn.

  27 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> alpha/busy-config,
  gen_compile.sh, -generic/keymaps.tar.gz, generic/linuxrc, genkernel,
  ia64/busy-config, mips/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, um/busy-config, x86/busy-config,
  x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  Removing generic/keymaps.tar.gz to replace it with a known-good copy. Blame
  cvs2svn.  Also, added patch from Alon Bar-Lev <alonbl@gentoo.org> to switch
  to using switch_root for 2.6 kernels, and a small typo fix from Michael
  Hordijk <hoffbrinkle@hotmail.com> for bug #158776.

  15 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_initrd.sh,
  generic/linuxrc, genkernel:
  Added patches from François-Xavier Roure <fx_roure@yahoo.fr> from bug
  #149020. This will end up being genkernel 3.4.6, most likely.

  14 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh:
  Adjust selinux stuff in gen_compile.sh to actually do what we intended, not
  the opposite.

  14 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh:
  Since device-mapper tries to build with selinux by default, we've removed
  it, then commented out the selinux support. The ebuild will need to
  enable/disable selinux support based on the selinux USE flag. This should
  resolve bug #157538.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  More fixes for similarly-named modules.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> alpha/busy-config,
  ia64/busy-config, parisc/busy-config, parisc64/busy-config,
  ppc/busy-config, ppc64/busy-config, sparc/busy-config,
  sparc64/busy-config, x86/busy-config, x86_64/busy-config,
  xen0/busy-config, xenU/busy-config:
  Disabled full SuSv3 compliant sort, as suggested by Aurélien Francillon
  <aurelien.francillon@inrialpes.fr> in bug #157777.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> generic/modprobe:
  Added a fix for similarly-named modules from bug #158017.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_compile.sh:
  Fixed up linking for dmraid for bug #157538.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> alpha/busy-config,
  ia64/busy-config, parisc/busy-config, parisc64/busy-config,
  ppc/busy-config, ppc64/busy-config, sparc/busy-config,
  sparc64/busy-config, x86/busy-config, x86_64/busy-config,
  xen0/busy-config, xenU/busy-config:
  Updated busy-config to work with root=LABEL=<label> for bug #156640.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_determineargs.sh,
  gen_initramfs.sh, genkernel, genkernel.conf:
  Added patch from Daniel Drake <dsd@gentoo.org> in bug #156611 to clean up
  the initramfs creation and create a 'proper' initramfs, instead of our
  concatenated monster.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  gen_initramfs.sh, gen_initrd.sh, generic/initrd.scripts, generic/linuxrc,
  genkernel.8, genkernel.conf:
  Added patch from Daniel Drake <dsd@gentoo.org> in bug #156445 to add
  userspace suspend support to genkernel.

  13 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Added debug level to LUKS print_info messages for bug #156410.

  03 Dec 2006; Chris Gianelloni <wolf31o2@gentoo.org> alpha/modules_load,
  x86/modules_load, x86_64/modules_load:
  Added raid456 to alpha/amd64/x86 MODULES_EVMS2 and added tg3 to MODULES_NET.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Inverted check on CDROOT_DEV, as it should be -z not -n. Thanks to Jakub Moc
  <jakub@gentoo.org> for coming up with the quick fix in bug #153554. I lied
  before. This one is really 3.4.5.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc,
  genkernel:
  Added typo fix from Jason Pepas <j.pepas@mail.utexas.edu> in bug #153516.
  This is 3.4.5.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org> alpha/busy-config,
  ia64/busy-config, mips/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, um/busy-config, x86/busy-config,
  x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  Added Large File Support thanks to Fabio Erculiani <lxnay@lxnaydesign.net>
  in bug #152881.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  Added patch to improve symlink support by Michael Hordijk
  <hoffbrinkle@hotmail.com> for bug #143217.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Added patch from Tim Steiner <tsteiner@nerdclub.net> to add a real_rootflags
  parameter for bug #122672.

  13 Nov 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Added patch to support resuming from encrypted swap. The patch was submitted
  to bug #152441.

  25 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  This is the 3.4.4 release.

  25 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Updated with the latest version of the LUKS patches from bug #152441.

  25 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> ChangeLog:
  Changed mime-type to application/x-gzip for generic/keymaps.tar.gz for bug
  #151500.

  23 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Added patch from bug #152441 to improve LUKS support.

  23 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> x86/kernel-config-2.6,
  x86_64/kernel-config-2.6:
  Updated kernel configs for amd64/x86 for bug #151609 and bug #152299.

  23 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  Changed mime-type property to binary/gzip for keymaps.tar.gz for bug #151500.
  This is genkernel 3.4.3.

  13 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> gen_initramfs.sh,
  generic/initrd.defaults, generic/initrd.scripts, +generic/udhcpc.scripts,
  x86/busy-config, x86/modules_load:
  Added patch for udhcp support. Patch by Stefan Nickl
  <snickl@snickl.freaks.de> and submitted to bug #145115.

  13 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> generic/linuxrc:
  Allow root= for initramfs, instead of only real_root= to specify the root
  volume. Patch by Salah Coronya <salahx@yahoo.com> from bug #142606.

  13 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> genkernel.8:
  Added patch from Salah Coronya <salahx@yahoo.com> to document dolvm2 and
  doevms2 in the genkernel man page from bug #142606.

  13 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org> +AUTHORS, genkernel:
  Added the AUTHORS file and ChangeLog.  This is 3.4.2

  02 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Added patch for suspend2-sources 2.6.18 by Romeo Benzoni
  <romeo@benzoni.org> and submitted to bug #148499.

  02 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_determineargs.sh:
  Added patch from Alon Bar-Lev <alon.barlev@gmail.com> for bug
  #148498 and also a patch from Robin H. Johnson
  <robbat2@gentoo.org> to support git-based kernels.

  02 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  x86_64/kernel-config-2.6, -x86_64/kernel-config-2.6-emachines,
  -x86_64/kernel-config-2.6-smp:
  Update the amd64 kernel configs from the release.

  16 Sep 2006; Tim Yamin <plasmaroo@gentoo.org>
  gen_initramfs.sh, genkernel:
  Should check for /sbin/splash_geninitramfs instead of
  /usr/sbin/...

  14 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  This change makes it so we only try to mount 'auto' when cdroot
  is specified. This should fix all of our mounting issues, as
  well as allow for not only USB keys to use these kernels with a
  LiveCD kernel/config, but allow it to boot from any media which
  the kernel has support.

  14 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Added a symlink for device-mapper stuff. This should resolve
  both bug #142775 and bug #147015.

  14 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86/modules_load, x86_64/modules_load:
  Added lpfc and scsi_transport_fc for Emulex fibre-channel
  controllers.

  13 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86/modules_load, x86_64/modules_load:
  Make sure we load the raid0, raid1, and raid10 personalities
  with dmraid.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  This is ugly. I mean, really ugly. However, it is the only way
  to support all of the insane ways that people are trying to boot
  release media. I really wish we didn't have to support this
  junk, but a regression really shouldn't happen with our
  releases. Anyway, hopefully I can come up with a better
  solution to this in the future.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Try using -t iso9660,vfat to our mount command, since we can't
  use only iso9660 as it breaks booting from a USB stick.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initrd.sh:
  The initrd code was still looking for udev, even though we
  aren't building it anymore. This should fix bug #145802.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  ppc/busy-config:
  Fix NFS mount.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults:
  Added emul to ROOT_LINKS for bug #145248.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/busy-config, x86_64/busy-config:
  Fixed the NFS mount configuration for busybox for bug #143476.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Update the suspend2_resume function for bug #131202.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  iso9660 -> auto, and added support for checking SUBDIR for the
  livecd file. This is for bug #147186.

  12 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6, x86_64/kernel-config-2.6:
  Updated default kernel configurations for x86/amd64 to match the
  2006.1 release.

  08 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh:
  Add more error checking into the splash code and die instead of
  silently fail on an error.

  23 Aug 2006; Tim Yamin <plasmaroo@gentoo.org>
  ia64/kernel-config-2.6:
  Update config, fix #141949.

  22 Aug 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Added patch for suspend2 for bug #131202.

  15 Aug 2006; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix bug #143442.

  13 Aug 2006; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts:
  Fix devfsd not kicking in on 2.4 on Alpha.

  11 Aug 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel.conf:
  Add in the kernel version compatibility table from
  http://www.am-utils.org/project-unionfs.html and ensure that
  genkernel dies if the unionfs module fails to build. Until now,
  it would fail and the build would continue without it.

  01 Aug 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh:
  We should be checking for /usr/bin/splash_geninitramfs, instead.

  31 Jul 2006; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  3.4.0 final... so much Bad-Ass <TM> that Chuck Norris himself
  digs it :)

  20 Jul 2006; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_initramfs.sh, genkernel:
  Commit fix for bug #141153 from Pylon; 3.4.0_pre4.

  18 Jul 2006; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, gen_funcs.sh, gen_package.sh, genkernel:
  Commit patches #91453, #91481 from bug #139866.

  18 Jul 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Added megaraid drivers for bug #139888.

  16 Jul 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh:
  Added fix for bug #140445.

  11 Jul 2006; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, gen_cmdline.sh, gen_compile.sh,
  gen_determineargs.sh, gen_funcs.sh, gen_initramfs.sh,
  gen_initrd.sh, gen_package.sh, genkernel, genkernel.conf:
  Commit patch for bug #139866 by Martin Parm.

  05 Jul 2006; Joshua Kinard <kumba@gentoo.org> generic/linuxrc:
  Tweak the sgimips section for rootfs mounting to use squashfs
  instead of ext2.

  30 Jun 2006; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix "Cannot read /proc/mounts" cosmetics.

  30 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  We need firmware_class in our initramfs for ide-cs to work.

  20 Jun 2006; Tim Yamin <plasmaroo@gentoo.org> genkernel,
  genkernel.conf,
  -pkg/busybox-1.1.0-gentoo-gk4-20060519-snappie.tar.bz2,
  +pkg/busybox-1.1.3+gentoo.tar.bz2:
  Bump busybox to 1.1.3 courtesy of `Kumba.

  19 Jun 2006; Joshua Kinard <kumba@gentoo.org>
  gen_initramfs.sh, -mips/ip22r4k-2006_0.cf,
  +mips/ip22r4k-2006_1.cf, -mips/ip22r5k-2006_0.cf,
  +mips/ip22r5k-2006_1.cf, -mips/ip27r10k-2006_0.cf,
  +mips/ip27r10k-2006_1.cf, -mips/ip28r10k-2006_0.cf,
  +mips/ip28r10k-2006_1.cf, -mips/ip30r10k-2006_0.cf,
  +mips/ip30r10k-2006_1.cf, -mips/ip32r5k-2006_0.cf,
  mips/ip32r5k-2006_1.cf, -mips/ip32rm52-2006_0.cf,
  +mips/ip32rm5k-2006_1.cf, mips/nb-busybox.cf, netboot/linuxrc.x:
  Remove getdvhoff hack in gen_initramfs.sh for mips livecds (it's
  a busybox applet now), tweak the ip32r5k config, add wget to the
  mips netboot busybox config. Also import the remaining 2006.1
  mips-sources configs and remove the old 2006.0 ones.

  12 Jun 2006; Joshua Kinard <kumba@gentoo.org> mips/busy-config:
  Enable the config option for busybox's --install parameter.

  12 Jun 2006; Joshua Kinard <kumba@gentoo.org>
  mips/busy-config, +mips/ip32r5k-2006_1.cf, mips/nb-busybox.cf:
  Add IP32 R5K 2.6.16.20 kernel build, and update LiveCD/Netboot
  Busybox configs to match with busybox-1.1.3.

  10 Jun 2006; Joshua Kinard <kumba@gentoo.org> mips/config.sh:
  Modernize the mips genkernel config.

  10 Jun 2006; Joshua Kinard <kumba@gentoo.org>
  -mips/ip22r4k-2005_1.cf, -mips/ip22r5k-2005_1.cf,
  -mips/ip27r10k-2005_1.cf, -mips/ip28r10k-2005_1.cf,
  -mips/ip30r10k-2005_1.cf, -mips/ip32r5k-2005_1.cf:
  Remove old configs.

  10 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  We can't use vol_id since it was a part of udev.

  09 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  genkernel.8:
  Added --static to man page for bug #135703.

  09 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_cmdline.sh, gen_determineargs.sh, gen_initramfs.sh,
  gen_initrd.sh, generic/initrd.scripts, generic/linuxrc:
  Add a modified version of the two LUKS patches that made their
  way into bugzilla for bug #122421.

  09 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, generic/initrd.defaults, generic/linuxrc,
  x86/modules_load, x86_64/modules_load, xen0/modules_load,
  xenU/modules_load:
  Added code to allow the root file-system to be a module. This
  is for bug #118098.

  09 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Changed real_init to init_opts to be more accurate, and added a
  proper real_init option to allow the selection of the init
  executable to run. This is for bug #113426.

  09 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh, gen_initrd.sh:
  Added fix for bug #134843 from Thomas Raschbacher
  <lordvan@gentoo.org> for evms and later glibc versions.

  05 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  genkernel.8:
  Fixed man page. Thanks to Andrew Yates <andrew@andrewyates.net>
  for the patch.

  01 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/busy-config, ia64/busy-config, mips/busy-config,
  parisc/busy-config, parisc64/busy-config, ppc/busy-config,
  ppc64/busy-config, sparc/busy-config, sparc64/busy-config,
  um/busy-config, x86/busy-config, x86_64/busy-config,
  xen0/busy-config, xenU/busy-config:
  Added CONFIG_ASH_READ_TIMEOUT=y so we have a timeout value on
  read, used for keymap selection.

  01 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  More spacing cleanups.

  01 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  I accidentally removed some stuff that needed to be there in my
  overzealous debug cleanup.

  01 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Cleaning up debug statements.

  31 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Ooops... forgot my then after elif. I hope nobody noticed.

  31 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Change cp to mknod for sr0/loop0 for mips and also for tty1 for
  splash.

  30 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Change cp to mknod for console/null.

  25 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Fix an error in setup_unionfs and add in some debug support to
  figure out why/where this initramfs is stopping.

  24 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Fixed up TODO with actual working code since we don't have awk.

  24 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Add in image.squashfs as a squashfs loop, since it is now the
  default in catalyst. Also, added a nice TODO about docache and
  size restrictions into cache_cd_contents.

  19 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_cmdline.sh:
  Just some spacing clean ups in the long usage listing.

  19 May 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  genkernel.conf:
  Comment the rest of the udev syuff from genkernel.conf as it
  shouldn't be necessary anymore with mdev.

  19 May 2006; Tim Yamin <plasmaroo@gentoo.org>
  alpha/busy-config, gen_compile.sh, gen_initramfs.sh,
  generic/initrd.scripts, generic/linuxrc, genkernel,
  genkernel.conf, ia64/busy-config, mips/busy-config,
  parisc/busy-config, parisc64/busy-config,
  -pkg/busybox-1.00-headers_fix.patch,
  -pkg/busybox-1.00-rt-mdstart.plasmaroo.tar.bz2,
  +pkg/busybox-1.1.0-gentoo-gk4-20060519-snappie.tar.bz2,
  ppc/busy-config, ppc64/busy-config, sparc/busy-config,
  sparc64/busy-config, um/busy-config, x86/busy-config,
  x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  Update to busybox 1.1.0; port over to use mdev.

  07 May 2006; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  genkernel:
  Fix #132408.

  07 May 2006; Tim Yamin <plasmaroo@gentoo.org>
  gen_initramfs.sh, gen_initrd.sh:
  Fix #131769.

  27 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh:
  Added patch for unionfs from bug #129965.

  27 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh:
  Add -DUNIONFS_UNSUPPORTED for 2.6.16 and unionfs.

  25 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86/modules_load, x86_64/modules_load,
  xen0/modules_load, xenU/modules_load:
  Added some more modules to MODULES_SCSI that could be used to
  boot from a genkernel-compiled kernel on a live system.

  17 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, generic/initrd.scripts, generic/linuxrc:
  Added patch from Mike Auty for udev 088+.

  17 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86/modules_load, x86_64/modules_load,
  xen0/modules_load, xenU/modules_load:
  Added 3ware card drivers to scsi modules on x86/amd64/alpha.

  17 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel:
  Updated to *hopefully* work with udev 087.

  14 Apr 2006; Tim Yamin <plasmaroo@gentoo.org> alpha/config.sh,
  ia64/config.sh, parisc/config.sh, parisc64/config.sh,
  ppc/config.sh, ppc64/config.sh, sparc/config.sh,
  sparc64/config.sh, um/config.sh, x86/config.sh,
  x86_64/config.sh, xen0/config.sh, xenU/config.sh:
  Fix #107628.

  14 Apr 2006; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  gen_initramfs.sh, gen_initrd.sh, generic/initrd.scripts,
  generic/linuxrc, genkernel:
  ->3.3.11d. Fix #121616, #128805, #129887, #129910.

  14 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Forgot one part of the patch from bug #121334.

  13 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel, genkernel.8:
  Updated the unionfs compiling section. This *should* allow
  unionfs to build on supported kernels.

  13 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Uncommented suspend2 support from bug #114266.

  13 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Added unionfs patches from bug #121334.

  13 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc, genkernel,
  x86/busy-config, x86/modules_load, x86_64/busy-config,
  x86_64/modules_load, xen0/busy-config, xen0/modules_load,
  xenU/busy-config, xenU/modules_load:
  Added a check for /dev/tty0 to setup_keymap, added raid
  personality modules for EVMS, and fixed lots of space/tab
  issues, along with a general style cleanup. I'm calling this
  one 3.3.11b internally, and hopefully it will be added to the
  tree if it resolves bug #124388.

  13 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_cmdline.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc:
  dobladecenter->slowusb

  06 Apr 2006; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  +pkg/klibc-1.2.1-nostdinc-flags.patch:
  Add hardened fix for bug #128806.

  24 Mar 2006; Tim Yamin <plasmaroo@gentoo.org>
  ia64/kernel-config-2.6:
  Update config for the new Fusion MPT CONFIG_ options on newer
  2.6 kernels; bug #125353.

  10 Mar 2006; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix bug #124251.

  14 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Updated copyright notice to get KingTaco off my back.

  14 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh, gen_initrd.sh:
  Added 0 0 to end of the ram0 line on fstab. Blame KingTaco for
  pointing it out.

  08 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh:
  Changed unpacking of klibc to use tar j instead of tar z.

  08 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  genkernel.conf:
  Let's use the bzip2 tarball of klibc by default form now on,
  shall we...

  07 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org> genkernel,
  +pkg/klibc-1.1.16-sparc2.patch:
  Added klibc patch for sparc to CVS (from distfiles). This is
  3.3.11 so like... run in fear or something...

  02 Feb 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_cmdline.sh, gen_determineargs.sh, gen_initramfs.sh,
  gen_initrd.sh, genkernel:
  Added patch from Kumba to make certain initrd functions less
  mips-specific.

  27 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel:
  Removed save_args/reset_args on kernel. This is 3.3.11_pre7.

  26 Jan 2006; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  unset temp vars so they get cleaned up

  26 Jan 2006; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_initramfs.sh, genkernel:
  bump to pre6. resets ARCH env var after utils are compiled

  25 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_arch.sh, gen_compile.sh, genkernel:
  Added sparc patches for udev/klibc.

  24 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_arch.sh, gen_cmdline.sh, gen_compile.sh,
  gen_determineargs.sh, genkernel:
  Added nice and fun patch from dostrow for building on ppc64 (and
  possibly others) with mixed kernel/userland.

  23 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Added fix for bug #120031.

  20 Jan 2006; Joshua Kinard <kumba@gentoo.org>
  +mips/ip32rm52-2006_0.cf:
  Kernel 2.6.14.6 config for SGI O2 w/ RM5271 CPU ("Nevada")

  15 Jan 2006; Joshua Kinard <kumba@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, genkernel:
  Add support to genkernel to build a monolithic kernel by
  skipping module building sections when
  --static is passed on the gk commandline.

  12 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh:
  Added comment about utils breaking udev so we don't break it
  again inadvertently.

  12 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel, +pkg/busybox-1.00-headers_fix.patch:
  Added busybox headers fix (_pre2) and changed utils to runtask
  on udev build (_pre3).

  12 Jan 2006; Joshua Kinard <kumba@gentoo.org>
  netboot/linuxrc.x:
  chmod +x the udhcpc script on bootup

  12 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel, -pkg/byteswap.h:
  Added patch from bug #118324.

  10 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/modules_load, x86_64/modules_load, xen0/modules_load,
  xenU/modules_load:
  Added additional SATA controllers to MODULES_SATA for loading
  into the initrd/initramfs image.

  07 Jan 2006; Joshua Kinard <kumba@gentoo.org>
  gen_initramfs.sh, +mips/ip22r4k-2006_0.cf,
  +mips/ip22r5k-2006_0.cf, +mips/ip27r10k-2006_0.cf,
  +mips/ip28r10k-2006_0.cf, +mips/ip30r10k-2006_0.cf,
  +mips/ip32r5k-2006_0.cf, +mips/nb-busybox.cf, +netboot,
  +netboot/linuxrc.x, +netboot/misc, +netboot/misc/bin,
  +netboot/misc/bin/net-setup, +netboot/misc/etc,
  +netboot/misc/etc/fstab, +netboot/misc/etc/group,
  +netboot/misc/etc/inittab, +netboot/misc/etc/passwd,
  +netboot/misc/etc/profile, +netboot/misc/etc/resolv.conf,
  +netboot/misc/etc/shadow, +netboot/misc/etc/shells,
  +netboot/misc/usr, +netboot/misc/usr/share,
  +netboot/misc/usr/share/terminfo,
  +netboot/misc/usr/share/terminfo/p,
  +netboot/misc/usr/share/terminfo/p/putty,
  +netboot/misc/usr/share/udhcpc,
  +netboot/misc/usr/share/udhcpc/default.script:
  Import the Genkernel-side of things for the catalyst2 netboot2
  module

  06 Jan 2006; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  udev compile change from runtask to utils

  03 Jan 2006; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, gen_compile.sh, gen_determineargs.sh,
  gen_initramfs.sh, genkernel:
  Fix #115263, #117392, add a fix to sanify LOCALVERSION if
  unresolved variables are embedded.

  02 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Updated Fusion MPT support for bug #117114.

  21 Dec 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  Fix --kernel-cross-compile with PPC64.

  18 Dec 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel:
  Add a compile_klibc(...) fix for old GNU tars and patch the
  klibc Makefile to leave /lib alone.

  16 Dec 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  runtask -> utils for compile_klibc.

  16 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel:
  Added x86/klibc fix.

  16 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  Added HERMES support to use in-kernel driver rather than
  external.

  15 Dec 2005; Tim Yamin <plasmaroo@gentoo.org>
  pkg/busybox-1.00-rt-mdstart.plasmaroo.tar.bz2:
  Fix #109196.

  15 Dec 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  +pkg/byteswap.h:
  Fix to allow udev 076 and udev 077 to compile... add a missing
  file byteswap.h to klibc-1.1.1

  15 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  genkernel.conf:
  Removed versions from all packages that are pulled from upstream
  so we can use sed in the ebuild to set these, making maintenance
  easier.

  09 Dec 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  add quotes to the ARCH= stuff for the kernel

  09 Dec 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Forcibly set the ARCH when compiling the kernel

  07 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  Changed CONFIG_BLK_DEV_MD=y for bug #112962.

  06 Dec 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader_grub.awk:
  Fix #100637.

  05 Dec 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Back out suspend2 support temporarily as per #114266 comment 10.

  05 Dec 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix #113634, #114266.

  05 Dec 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  Added USB Printer support for bug #114496.

  28 Nov 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6, x86/modules_load, x86_64/modules_load:
  Added sata_mv to x86/amd64 for Marvell SATA controllers and
  updated 2.6 kernel config for x86 to match what would be used on
  a current 2.6.14 LiveCD.

  23 Nov 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Version Bump 3.3.8

  23 Nov 2005; Eric Edgar <rocket@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Fix bug 113287

  22 Nov 2005; Eric Edgar <rocket@gentoo.org> genkernel.conf:
  Update unionfs in genkernel.conf to 1.1.1

  21 Nov 2005; Eric Edgar <rocket@gentoo.org> generic/linuxrc:
  fix for sys delete bug 109819

  21 Nov 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  genkernel.conf:
  Add support for dmraid1.0.0.rc9 to fix bug 94762

  21 Nov 2005; Eric Edgar <rocket@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh, gen_moddeps.sh, gen_package.sh:
  Fix missing moddeps file by adding a test;Do not keep the
  initrd/initramfs with a kernelz system as it is already bundled
  together.

  18 Nov 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Fix {PPC+Catalyst+Pegasos} build failure regression.

  17 Nov 2005; Tim Yamin <plasmaroo@gentoo.org>
  -pkg/udev-054.tar.bz2, -pkg/udev-068.tar.bz2:
  Remove obsoleted udev...

  17 Nov 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_determineargs.sh, genkernel.conf:
  Udev 075 support, klibc 1.1.1, and fixes for ppc on 2.6.14+
  kernels

  04 Nov 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_arch.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.scripts, generic/linuxrc, genkernel, +mips,
  +mips/busy-config, +mips/config.sh, +mips/ip22r4k-2005_1.cf,
  +mips/ip22r5k-2005_1.cf, +mips/ip27r10k-2005_1.cf,
  +mips/ip28r10k-2005_1.cf, +mips/ip30r10k-2005_1.cf,
  +mips/ip32r5k-2005_1.cf, +mips/modules_load, +pkg/mips,
  +pkg/mips/.keep:
  Added patches from bug #106338. This means mips support in
  genkernel. Blame Kumba.

  28 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc, genkernel:
  Changed the version indicator, fixing fstab generation for
  unionfs, and resolving bug #103332.

  28 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh:
  Made symlink relative for bug #105572.

  28 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_compile.sh, genkernel.conf, +pkg/udev-068.tar.bz2:
  Upgraded to udev 068 and also closing bug #103936.

  28 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_funcs.sh:
  Added fix for bug #103717.

  21 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  Updated x86 2.6 kernel configuration.

  10 Oct 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86/modules_load, x86_64/modules_load:
  Added fix for bug #102006.

  31 Aug 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Update genkernel version number

  31 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  CONFIG_PRINTER=m for bug #104229.

  30 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Add nodetect and doload patch from bug #102643, with some
  modifications.

  16 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_initrd.sh, generic/initrd.scripts, generic/linuxrc:
  Fix for bug 83276 and add udevsend binary to initramfs for newer
  udevs

  16 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Added dm-mirror to dmraid on all supported arches for bug
  #102739.

  15 Aug 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel.8:
  Fix #101716.

  15 Aug 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_configkernel.sh:
  Fix #88080.

  15 Aug 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh:
  Fix #102407.

  15 Aug 2005; Tim Yamin <plasmaroo@gentoo.org>
  pkg/busybox-1.00-rt-mdstart.plasmaroo.tar.bz2:
  Fix #102491.

  11 Aug 2005; Eric Edgar <rocket@gentoo.org>
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Fix bug 102006 for dm-bbr. Added dm-bbr to modules_load files
  under MODULES_LVM2.

  11 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_initramfs.sh:
  Fix for bug 91966. Link lib64 to lib in the initramfs

  11 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  generic/linuxrc:
  Fix for newer udevs to detect udevstart

  06 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_configkernel.sh:
  Fixed config parsing for dmraid/lvm2 to only set =m if item is
  not set. Closing bug #101535.

  02 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  ppc/config.sh, ppc64/config.sh:
  Fix incorrect commit

  02 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  gen_initramfs.sh, ppc/config.sh, ppc64/config.sh:
  Create symlink to init named linuxrc. In preparation for the
  need to pack the cpio into the kernel

  02 Aug 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts:
  Add iseries virtual cdrom auto scanning support

  01 Aug 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Remove unnecessary check for multiple running genkernels.

  01 Aug 2005; Eric Edgar <rocket@gentoo.org> gen_package.sh,
  genkernel:
  kerncache wasnt sending the config to /etc/kernels properly

  30 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  generic/initrd.scripts, generic/linuxrc, genkernel,
  ppc/config.sh:
  Fix cosmetics and PPC without --genzimage.

  30 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  generic/initrd.defaults, generic/initrd.scripts,
  generic/linuxrc, genkernel:
  Finally making the --bladecenter/dobladecenter stuff correct.
  Thanks plasmaroo for helping me wrap my head around how this
  works and to remove my dirty hack.

  29 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel:
  >> 3.3.3. Fix KERNEL_MAKE_DIRECTIVE_2 if not using --genzimage.

  29 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_initramfs.sh, gen_initrd.sh, generic/linuxrc:
  Fixed up the BladeCenter support some more.

  29 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Added bladecenter boot-time option, also... so kernels don't
  *have* to be built with --bladecenter.

  29 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.scripts:
  Fixed up --bladecenter expressions

  29 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_initramfs.sh:
  Fix a few directory creation issues and a typo

  29 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_cmdline.sh, gen_determineargs.sh, generic/initrd.scripts,
  generic/linuxrc:
  Added --bladecenter for slow USB CD on IBM BladeCenter.

  29 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_initramfs.sh:
  Better genkernel.log output for initramfs

  29 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh:
  print warning that unionfs flag is disabled at this time

  29 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh:
  Remove normal access to unionfs

  29 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh:
  Change unionfs so that it is clearly noted as experimental

  28 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_initrd.sh,
  generic/linuxrc:
  Fix cp /dev/tty1 error message

  28 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_initramfs.sh, gen_initrd.sh, gen_package.sh, ppc/config.sh:
  Fix ppc not compiling without --genzimage

  28 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_initramfs.sh, gen_package.sh, generic/initrd.scripts,
  generic/linuxrc, genkernel, genkernel.8,
  pkg/busybox-1.00-rt-mdstart.plasmaroo.tar.bz2, ppc/config.sh:
  >> 3.3.1. Fix #100144, #100169, #100583.

  25 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_package.sh:
  Remove extra TEMP checking code that was commented out

  25 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_package.sh, genkernel:
  Add kernelz- to minkernpackage and kerncache

  22 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_package.sh:
  Remove extra checks that fail

  20 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_package.sh:
  Fix minkernpackage breakage regarding the TEMP and TMPDIR
  variable

  19 Jul 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts:
  Switch order of error messages to make less confusing

  19 Jul 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts, generic/linuxrc, genkernel:
  Fix exit 1 issue being always called. Add UID support for
  unionfs. add check for livecd.unionfs file on blockdev

  19 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_funcs.sh, gen_initramfs.sh, gen_initrd.sh, generic/linuxrc,
  genkernel:
  Fix --no-install cleaning the tmpdir bug that plasmaroo reported

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Fix info about the framebuffers

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_funcs.sh,
  genkernel:
  cause genkernel to die if cant write to the DEBUGFILE. remove
  extra info strings that arent necessary

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Fix genkernel finishing info messages to be more accurate

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_funcs.sh,
  genkernel:
  Cleanup tmpdirs if genkernel dies abnormally

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_initrd.sh:
  Fix evms bugs with missing sbin for an initrd

  18 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_initramfs.sh:
  Fix evms bugs with missing sbin. Remove prepare line as it
  probably isnt necessary

  18 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_bootloader.sh,
  gen_cmdline.sh, gen_determineargs.sh, gen_funcs.sh,
  gen_initramfs.sh, gen_package.sh, generic/initrd.scripts,
  generic/linuxrc, genkernel, genkernel.conf:
  Create additional cleanup options. --postclear for final
  cleanup and 2 new genkernel.conf options. Also fixup TEMP dir
  creation and extraneous %%ARCH%% creation in the cache_dir

  16 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_initramfs.sh, gen_initrd.sh, genkernel:
  Fix #98886.

  15 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel:
  >> 3.2.6. Fix mkdir linuxrc issues and bootstrapCD() not getting
  called as early as it should,

  14 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts:
  Fix '[: /dev/md: unknown operand' for LiveCD boots.

  14 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  ia64/kernel-config-2.6:
  Add USB Storage support.

  14 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix bug #80617.

  14 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, +gen_bootloader_grub.awk,
  gen_determineargs.sh, genkernel, ia64/kernel-config-2.6:
  Fix #98944, add GRUB :root_device support and add a more
  versatile grub.conf updater.

  14 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.6:
  Add an updated x86 kernel config from wolf31o2.

  13 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  alpha/busy-config, ia64/busy-config, parisc/busy-config,
  parisc64/busy-config, ppc/busy-config, ppc64/busy-config,
  sparc/busy-config, sparc64/busy-config, um/busy-config,
  x86/busy-config, x86_64/busy-config, xen0/busy-config,
  xenU/busy-config:
  Add CONFIG_ASH_TIMEOUT.

  13 Jul 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts:
  Fix find|grep output

  13 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_initramfs.sh,
  gen_initrd.sh:
  Fix typo for evms and removing the swap libs in gen_initramfs

  13 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  alpha/busy-config, gen_bootloader.sh, gen_compile.sh,
  gen_configkernel.sh, gen_determineargs.sh, gen_initramfs.sh,
  gen_package.sh, generic/initrd.scripts, generic/linuxrc,
  genkernel, genkernel.conf, ia64/busy-config, parisc/busy-config,
  parisc64/busy-config,
  -pkg/busybox-1.00-pre7-crypto-losetup-2.patch,
  -pkg/busybox-1.00-pre7-losetup-crypto-alpha.tar.bz2,
  +pkg/busybox-1.00-rt-mdstart.plasmaroo.tar.bz2, ppc/busy-config,
  ppc64/busy-config, sparc/busy-config, sparc64/busy-config,
  um/busy-config, x86/busy-config, x86_64/busy-config,
  xen0/busy-config, xenU/busy-config:
  Fix #97672, #98886, #98893, #98897; fix real_root=/dev/mdX:
  upgraded busybox to 1.00, porting in my read -t and mdstart
  patches.

  13 Jul 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Fix for bug 97672. Call get_KV to get the KV after the prepare
  has been run

  12 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh:
  Fix minor print bug 98744. Shouldnt affect operation but it
  could be annoying

  12 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Fix for hardened/selinux systems to have extened attributes, per
  r2d2's request

  12 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, genkernel:
  Adding --symlink to fix bug 98716

  12 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts, generic/modprobe, genkernel,
  genkernel.conf:
  >> 3.2.2. Fix #83771, #97700, #98590, #98594, #98661, #98746.

  12 Jul 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults, generic/linuxrc:
  Added multilib cdboot patch.

  11 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initramfs.sh,
  gen_initrd.sh, generic/initrd.scripts, generic/linuxrc,
  genkernel, genkernel.conf:
  ENHANCEMENT bug 83771. Add support for LABEL= and UUID=

  11 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh:
  Fix bug 97700. Add additional check for kernel source directory
  earlier

  11 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_arch.sh:
  Fix bug 95280 in genkernel. ARCH_OVERRIDE in
  /etc/genkernel.conf should work now

  11 Jul 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, generic/initrd.scripts, generic/linuxrc:
  remove extra make prepare in gen_determineargs.sh that breaks
  things. Fix md /dev creation bug 98193

  11 Jul 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh:
  Fix bug 98661 with the missing underscore in gen_cmdline.sh

  11 Jul 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Fix to let the /mnt/cdrom/cdupdate.sh script run just before the
  chroot

  11 Jul 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts:
  send stderr to /dev/null for lvm startup

  10 Jul 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, generic/linuxrc, genkernel:
  Fix #93178, #98436, #98501

  08 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_initramfs.sh, generic/initrd.defaults,
  generic/initrd.scripts, generic/linuxrc, genkernel, genkernel.8,
  genkernel.conf, x86/busy-config, x86_64/busy-config:
  >> 3.2.0. Add spock's gensplash fixes, fix initrd startup 'find:
  ...' errors.

  01 Jul 2005; Tim Yamin <plasmaroo@gentoo.org> ppc/Pegasos:
  Update Pegasos config from dholm.

  01 Jul 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  fix bug 97378; setup the PATH environment properly.

  29 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  +pkg/udev-054.tar.bz2, -pkg/udev-058.tar.bz2:
  Downgrade to 054.

  29 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  gen_determineargs.sh:
  fix unionfs-modules-bincache naming error. Fix directory change
  error on unionfs

  29 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  run modules_prepare in the kernel tree before unionfs modules
  compile

  28 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  pkg/udev-058.tar.bz2:
  Revert to 1.1.

  28 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh,
  generic/initrd.scripts, generic/linuxrc, pkg/udev-058.tar.bz2:
  changed to backticks and changed /bin/bash back to /bin/sh
  which is a valid shell inside the initrd/initramfs

  27 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel, genkernel.conf, -pkg/udev-054.tar.bz2,
  +pkg/udev-058.tar.bz2:
  Update udev and fix for SPARC64.

  27 Jun 2005; Eric Edgar <rocket@gentoo.org>
  gen_configkernel.sh:
  bug 97051: Initramfs on 2.6+ kernels dont require ext2
  filesystem so can drop this forced entry.

  27 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/initrd.defaults, generic/initrd.scripts, generic/linuxrc:
  Change all EVMS/evms to EVMS2/evms2 for consitency. Also,
  enabled dodmraid by default.

  27 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  generic/linuxrc:
  Must use /bin/bash for dollar-sign, parentheses sub-shell syntax.

  27 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/modules_load, x86_64/modules_load:
  Changed sata_vitesse to sata_vsc and closing bug #97089.

  27 Jun 2005; Eric Edgar <rocket@gentoo.org> generic/linuxrc:
  linuxrc that should not create avc denied messages for a
  hardened system.

  24 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org> genkernel:
  _pre12... ph43r...

  24 Jun 2005; Eric Edgar <rocket@gentoo.org> genkernel:
  Add info for cmdline usage to genkernel

  23 Jun 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts:
  Fix confusing volume manager message

  23 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/modules_load, x86_64/modules_load:
  Add Fusion MPT support

  23 Jun 2005; Eric Edgar <rocket@gentoo.org> x86/modules_load:
  Add Fusion MPT support for VMWare machines

  23 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Add missing else

  23 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Fix missing elif

  22 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel, pkg/udev-054.tar.bz2:
  Fix #76082, #86487, #87673, #95993.

  22 Jun 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Fix bug 87673. Option passing for dmraid. dodmraid= on the
  cmdline. sets up /sbin/dmraid -ay .

  22 Jun 2005; Eric Edgar <rocket@gentoo.org> generic/linuxrc:
  Fix for bug 86487. Allowing a subdirectory of a block device to
  be chrooted from and booted. New cmdline option subdir=

  22 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Fix udev for sparc so it compiles properly

  22 Jun 2005; Eric Edgar <rocket@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  Remove sort because busybox is not compiled with it. Remove
  unnecessary UML fixes

  22 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh:
  Fix bug 68903; Allows the CROSS_COMPILE env to be set for
  kernel compiles. Added --kernel-cross-compile= option

  21 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  genkernel, genkernel.8:
  Fix #95993, #96300.

  20 Jun 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh:
  Fix genkernel crash when .config is present and testing for
  Localversion info on a 2.6 kernel

  17 Jun 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh:
  Fix 2.6 crash detecting LocalVersion, fix 2.4 kernels so they
  dont do localversion checks as they dont support it

  16 Jun 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  udev build fix for no ARCH=um architectures

  16 Jun 2005; Eric Edgar <rocket@gentoo.org>
  gen_determineargs.sh, gen_initramfs.sh, gen_initrd.sh,
  gen_moddeps.sh, genkernel:
  Localversion changes to kerncache, and added a sleep statement
  so modprobe loop has a chance to work

  15 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Fix devfs for those archs that still need it.

  15 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_funcs.sh,
  gen_initramfs.sh, gen_initrd.sh, gen_package.sh,
  generic/initrd.defaults, generic/initrd.scripts,
  generic/linuxrc, genkernel, genkernel.conf:
  Add rocket's unionfs patch and linuxrc cleanup; fix Pegasos with
  regard to initramfs.

  15 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> ppc/Pegasos,
  ppc/config.sh:
  Fix Pegasos on initramfs and add an updated Pegasos config,
  thanks dholm!

  12 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix 'lib64: No such...' error.

  07 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_package.sh:
  Fixing up minkernpackage

  07 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86_64/kernel-config-2.6:
  Added floppy module to kernel config for bug #95272.

  04 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  x86_64/kernel-config-2.6:
  Disable sound stuff, #92711.

  03 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, genkernel:
  Fix syntax.

  02 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh:
  Add GRUB support cleanup by Richard Morris (#59192) to show an
  error if we can't work out device nodes and tell the user to
  manually generate grub.conf.

  02 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  +gen_initramfs.sh:
  Add gen_initramfs.sh into CVS from rocket's initramfs support
  patches.

  02 Jun 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Fix #94860; clean up concurrent compile tmpdir-setting.

  02 Jun 2005; Tim Yamin <plasmaroo@gentoo.org>
  alpha/busy-config, generic/initrd.defaults,
  generic/initrd.scripts, generic/linuxrc, genkernel.8,
  ia64/busy-config, parisc/busy-config, parisc64/busy-config,
  ppc/busy-config, ppc64/busy-config, sparc/busy-config,
  sparc64/busy-config, um/busy-config, x86/busy-config,
  x86_64/busy-config, xen0/busy-config, xenU/busy-config:
  Remove evms and lvm2 from default boot args (they cause hardware
  issues, so users should explicitly specify them); add NFSboot
  support patches by Thomas Seiler.

  02 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/kernel-config-2.6:
  Updated x86 2.6 kernel to 2005.0 config.

  02 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  alpha/kernel-config-2.4, +alpha/kernel-config-2.6,
  alpha/modules_load, um/modules_load, x86/modules_load,
  x86_64/modules_load, xen0/modules_load, xenU/modules_load:
  Updated alpha kernel configs to 2005.0 configs and updated
  modules_load for alpha, um, x86, x86_64, xen0, and xenU to match
  x86.

  02 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_configkernel.sh:
  Added config parsing for dmraid modules if genkernel is called
  with --dmraid

  25 May 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  gen_configkernel.sh:
  Added check for --lvm2 and enable lvm2-required modules if they
  are not enabled already in the supplied .config file.

  25 May 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  x86/modules_load:
  Adding back in atp870u to modules_load on x86.

  02 May 2005; Tim Yamin <plasmaroo@gentoo.org> x86/modules_load:
  Add ata_piix.

  22 Apr 2005; Eric Edgar <rocket@gentoo.org> generic/linuxrc:
  Added support for reading /mnt/cdrom/cdupdate.sh if its
  executable on the livecd

  22 Apr 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  gen_initrd.sh, gen_package.sh, generic/linuxrc, genkernel,
  genkernel.8, -notes, -pkg/dietlibc-0.27.tar.bz2, +pkg/ia64,
  +pkg/ia64/README, +pkg/um, +pkg/um/README, +pkg/xen0,
  +pkg/xen0/README, +pkg/xenU, +pkg/xenU/README, +ppc/Pegasos,
  ppc/config.sh, +um, +um/busy-config, +um/config.sh,
  +um/kernel-config-2.4, +um/kernel-config-2.6, +um/modules_load,
  +xen0, +xen0/busy-config, +xen0/config.sh,
  +xen0/kernel-config-2.4, +xen0/kernel-config-2.6,
  +xen0/modules_load, +xenU, +xenU/busy-config, +xenU/config.sh,
  +xenU/kernel-config-2.4, +xenU/kernel-config-2.6,
  +xenU/modules_load:
  >> 3.2.0_beta1; now with extra froz-faktor <TM>.

  29 Mar 2005; Eric Edgar <rocket@gentoo.org> generic/linuxrc:
  fixed bug in scan delay so that it will work with both udev and
  devfs

  13 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Add missing mkdir -p /etc/sysconfig to linuxrc.

  12 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Get udev to go as the default manager if the udev binary exists
  and 2.6 or above is being used.

  11 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  mkdir -> mkdir -p

  10 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel:
  Fix udev.rules install issue.

  10 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel, genkernel.conf, -pkg/udev-039.tar.bz2,
  +pkg/udev-054.tar.bz2:
  >> 3.1.3. Remove udev static mode; upgrade udev to 054 instead.

  08 Mar 2005; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.defaults, generic/linuxrc:
  Add patch by Gerte Hoogewerf (gerte <-at-> nieuwenborg.nl) to
  fix dmraid with cdroot.

  07 Mar 2005; Eric Edgar <rocket@gentoo.org>
  gen_configkernel.sh:
  Fix possible broken pipe error message when configuring the
  kernel

  07 Mar 2005; Eric Edgar <rocket@gentoo.org> gen_compile.sh:
  Fix for broken pipe when configuring busybox in the
  gen_compile.sh script

  07 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel, x86/modules_load, x86_64/modules_load:
  >> 3.1.1d. Add sata_qstor; fix #83328.

  03 Mar 2005; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts:
  Check for dummy 'livecd' file instead of 'gentoo'.

  03 Mar 2005; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts, genkernel:
  >> 3.1.1c. Add LiveCD detection to skip mountable but non-LiveCD
  media; requires Catalyst 1.1.6.

  02 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel,
  genkernel.conf:
  Bump dmraid, >> 3.1.1.b.

  01 Mar 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel:
  Fix 2.4 -j0 issue.

  28 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  Fix -j0 2.4 modules breakage.

  25 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  generic/initrd.defaults, genkernel, x86/modules_load,
  x86_64/modules_load:
  >> 3.1.0k -- Add MODULES_SATA, fix udev on non-x86 archs where
  there seem to be problems with KLibC+udev so use a static udev
  on those.

  24 Feb 2005; Eric Edgar <rocket@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_package.sh, genkernel, genkernel.8:
  Add support for maxkernpackage
  creates a tarball containing:
  kernel
  initrd
  contents of /lib/modules
  kernel config

  24 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  Fix 2.4 strict flag filtering issue.

  24 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel.8:
  Document arbitrary scandelay initrd option.

  20 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel:
  Fix '/tmp/.initrd/bin/[' to '[' in places before the pivot_root.

  18 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel, pkg/udev-039.tar.bz2, x86/modules_load:
  Fix #58686 and #80716.

  17 Feb 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initrd.sh,
  generic/linuxrc, genkernel.conf, pkg/udev-039.tar.bz2:
  Add DMRAID support (thanks rocket!); fix AMD64 udev issues (#65985).

  31 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Fix #77259.

  30 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel:
  Fix #79999.

  27 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh:
  -eq >> = for the LVM and EVMS2 checks.

  27 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc,
  genkernel:
  Add patch for turning off LVM and EVMS2 optionally at boot time
  even if compiled into initrd; bug #79755.

  26 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh:
  Fix #79502; thanks to rocket for the patch.

  22 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Make udev default for 2.6+

  22 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Add missing #72253 patch.

  22 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Add missing echo; #77363.

  22 Jan 2005; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, generic/initrd.scripts, generic/linuxrc,
  genkernel:
  >> 3.1.0e. Fixes #73356, #74758, #77277, #77363, #78636.

  10 Jan 2005; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_initrd.sh:
  Add --evms2 patch by Eric Edgar; bug #77385.

  21 Dec 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel,
  pkg/dietlibc-0.27.tar.bz2:
  >> 3.1.0d; bug #73112.

  17 Dec 2004; Tim Yamin <plasmaroo@gentoo.org> x86/modules_load:
  Removing tmscsim module; bug #72055.

  01 Dec 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh:
  Fix for bug #73054.

  30 Nov 2004; Tim Yamin <plasmaroo@gentoo.org>
  gen_determineargs.sh, gen_initrd.sh:
  >> 3.0.2c. Adding LVM2 args code to gen_determineargs.sh.

  29 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Bugfix for bug #72342.

  27 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel,
  +genkernel.8:
  Time for our own manpage...

  27 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initrd.sh, genkernel,
  genkernel.conf:
  LVM2 compilation support; thanks to Eric Edgar for the patch.
  Bug #72129.

  27 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh,
  generic/initrd.scripts, generic/linuxrc:
  Udev speedups; thanks to Eric Edgar for the patch - bug #72253.

  27 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> x86/modules_load:
  Adding MODULES_LVM2; #72129 // #72253.

  13 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_initrd.sh:
  Adding user-specified /linuxrc support; bug #66198.

  13 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  ramdisk=8092 >> ramdisk_size=8092; bug #64864.

  13 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_initrd.sh, generic/initrd.defaults, generic/linuxrc:
  Adding EVMS2 support; bug #61827.

  13 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh:
  LVM fix, bug #69745.

  05 Nov 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh:
  Fix for --minkernpackage and 'kernel' only instead of all; bug
  #70193.

  26 Oct 2004; Tim Yamin <plasmaroo@gentoo.org> x86/modules_load:
  uchi-hcd >> uhci-hcd.

  25 Oct 2004; Mike Frysinger <vapier@gentoo.org> gen_cmdline.sh:
  clean up some of the help output

  23 Oct 2004; Tim Yamin <plasmaroo@gentoo.org> README,
  gen_cmdline.sh, gen_compile.sh, gen_determineargs.sh,
  gen_initrd.sh, generic/initrd.defaults, generic/initrd.scripts,
  generic/linuxrc, genkernel, genkernel.conf,
  -pkg/busybox-1.00-pre2-decl.patch,
  pkg/busybox-1.00-pre7-losetup-crypto-alpha.tar.bz2,
  pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2,
  -pkg/dietlibc-0.26.tar.bz2, +pkg/dietlibc-0.27.tar.bz2,
  -pkg/udev-030.tar.bz2, +pkg/udev-039.tar.bz2, x86/modules_load:
  >> 3.1.0b.

  09 Oct 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh:
  vgscan >> lvm; bug #44091.

  02 Oct 2004; Travis Tilley <lv@gentoo.org> x86_64/modules_load:
  fix the sata crap

  27 Sep 2004; Travis Tilley <lv@gentoo.org>
  x86_64/kernel-config-2.6, x86_64/kernel-config-2.6-smp,
  x86_64/modules_load:
  add bluetooth for one user's bluetooth kb+mouse, fix usb module
  stuff, add in support for an ide chipset used in some em64t boxes

  27 Sep 2004; Travis Tilley <lv@gentoo.org>
  x86_64/kernel-config-2.6, x86_64/kernel-config-2.6-smp:
  CONFIG_SCSI_AIC7XXX_OLD, you are the weakest link! goodbye!

  26 Sep 2004; Travis Tilley <lv@gentoo.org>
  x86_64/kernel-config-2.6, x86_64/kernel-config-2.6-smp:
  new generic genkernel configs. em64t support, here we come

  19 Sep 2004; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.6:
  Adding CONFIG_CRYPTO_ARC4=m; bug #58360.

  19 Sep 2004; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh:
  Adding updated grub.conf patch from Mathias Gug, bug #57576.

  19 Sep 2004; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  gen_funcs.sh, genkernel:
  Adding robbat2's patch for bug #62365.

  19 Sep 2004; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  genkernel, genkernel.conf,
  pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2,
  -pkg/dietlibc-0.24.tar.bz2, +pkg/dietlibc-0.26.tar.bz2:
  Disabling dietlibc usage for devfsd and modutils; dietlibc
  updated to a new Hardened-aware version. Bug #60862.

  18 Sep 2004; Tim Yamin <plasmaroo@gentoo.org> gen_package.sh:
  Adding missing {} around a logic check; bug #64514.

  23 Aug 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh:
  --no-lvm-2 >> --no-lvm2 as it should be.

  23 Aug 2004; Tim Yamin <plasmaroo@gentoo.org> gen_funcs.sh:
  Updated the --cache-dir patch to patch #36982.

  14 Aug 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh,
  +ia64, +ia64/busy-config, +ia64/config.sh,
  +ia64/kernel-config-2.6, +ia64/modules_load:
  Added an ia64 config.

  11 Aug 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Added a check to disable udev on 2.4 kernels; bug #59687.

  11 Aug 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initrd.sh,
  generic/initrd.scripts, generic/linuxrc, genkernel:
  Added LiveCD udev support.

  07 Aug 2004; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.6, x86/modules_load:
  modules_load cleaned up to match the version used for the 2004.2
  release, also added BusLogic=m to the 2.6 configartion: bug #59310.

  30 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  generic/initrd.scripts:
  Removed "-t iso9660" which causes issues on Gentoo/PPC-Pegasos,
  supposedly.

  29 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_funcs.sh, genkernel, genkernel.conf:
  Patch for bug #57867 adding --cachedir=<dir> by Martin Parm.

  29 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh,
  genkernel:
  '-ne' >> '!=' for LVM2 static support to work properly; bug
  #58816.

  28 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.4:
  Ext3 shouldn't really be a module - bug #58663.

  28 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  generic/linuxrc:
  Fix for "udev" not having to be passed to the linuxrc; and a fix
  for the devfsd bincache not being used.

  28 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  gen_bootloader.sh, gen_cmdline.sh, gen_compile.sh,
  gen_determineargs.sh, gen_initrd.sh, generic/linuxrc, genkernel,
  genkernel.conf, +pkg/udev-030.tar.bz2:
  >> 3.0.2e. Code formatting fixes from Bob Barry, as well as a
  patch for bug #57953 from Martin Parm. Udev support, bug #49328.

  22 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh:
  Fix for bug #57865. Thanks to Martin Parm for the patch!

  21 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> genkernel:
  Added a patch for only [re]mounting /boot when installation is
  required. Patch from bug #57836 by Martin "Parmus" Parm.

  21 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  +gen_bootloader.sh, gen_cmdline.sh, gen_determineargs.sh,
  genkernel, genkernel.conf:
  GRUB Bootloader support - bug #57576. Thanks to Mathias Gug for
  the patch!

  21 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, gen_initrd.sh,
  gen_moddeps.sh, genkernel, genkernel.conf:
  Adding a set of patches submitted by Martin "Parmus" Parm; bugs
  #57748, #57749, #57751, #57752, and #57761.

  16 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  gen_funcs.sh, genkernel:
  Bug #57297 fix.

  14 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh,
  genkernel, pkg/modutils-2.4.26.tar.bz2:
  >> 3.0.2d. Modutils ./configure* patch for HPPA and an option
  parsing fix.

  12 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.6:
  Added CONFIG_PRINTER=y; bug #47666.

  12 Jul 2004; Tim Yamin <plasmaroo@gentoo.org>
  gen_configkernel.sh, x86/config.sh:
  Added a sed to ensure Ext2 support is on; bug #52558.

  12 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> gen_funcs.sh,
  gen_initrd.sh, genkernel, x86/modules_load:
  >> 3.0.2c. Added more PCMCIA modules to the x86 module list; and
  added the bug
  #52561 patch.

  03 Jul 2004; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Added a patch allowing arguments to be passed to init by
  real_init=...; this closes bug #55736.

  19 Jun 2004; Tim Yamin <plasmaroo@gentoo.org>
  gen_configkernel.sh:
  Fix for bug #54455; moved the code to create a backup .config
  upwards since
  before the "make mrproper" just wiped it out.

  04 Jun 2004; Tim Yamin <plasmaroo@gentoo.org>
  generic/keymaps.tar.gz:
  New keymaps tarball lost the keymapList file; added back in.

  03 Jun 2004; Tim Yamin <plasmaroo@gentoo.org>
  alpha/modules_load, gen_arch.sh, gen_cmdline.sh, gen_compile.sh,
  gen_configkernel.sh, gen_determineargs.sh, gen_funcs.sh,
  gen_initrd.sh, gen_moddeps.sh, gen_package.sh,
  generic/initrd.defaults, generic/initrd.scripts,
  generic/keymaps.tar.gz, generic/linuxrc, generic/modprobe,
  genkernel, parisc/modules_load, parisc64/modules_load,
  pkg/busybox-1.00-pre7-losetup-crypto-alpha.tar.bz2,
  ppc/modules_load, ppc64/modules_load, sparc/modules_load,
  sparc64/modules_load, x86/kernel-config-2.4,
  x86/kernel-config-2.6, x86/modules_load, x86_64/modules_load:
  New release:
  
  * Busybox patched to support loops on 2.4 thus giving 2.4
  squashfs
  support.
  * Various bug fixes; #46167, #46278, #47551, #48219, #48308,
  #48339, #49728, #51395, #51948.
  * Speedups: "" > ''; [ ! ... ] && > [ ... ] || et al where
  applicable.

  11 Apr 2004; Tim Yamin <plasmaroo@gentoo.org>
  x86/kernel-config-2.6:
  Modularized parallel support in the X86 2.6 configuration.

  11 Apr 2004; Tim Yamin <plasmaroo@gentoo.org> gen_funcs.sh,
  generic/linuxrc, genkernel:
  Bugfixes for bugs #46941, #46641; and a cosmetic fix for LiveCD
  mount issues.

  02 Apr 2004; Tim Yamin <plasmaroo@gentoo.org> gen_cmdline.sh:
  Added an error message for mistyped options [ Bug #45946 ] and
  also shortened the help list into two sections: a long one specified by
  --help and a short default one.

  02 Apr 2004; Tim Yamin <plasmaroo@gentoo.org> gen_initrd.sh,
  genkernel:
  Fix for bug #46596; version header update.

  28 Mar 2004; Tim Yamin <plasmaroo@gentoo.org> generic/linuxrc:
  Applied the fixed for ``docache'' to work properly on zisofs.

  27 Mar 2004; Tim Yamin <plasmaroo@gentoo.org> gen_compile.sh,
  gen_initrd.sh, generic/initrd.defaults, generic/linuxrc:
  A few short fixes: reduced compilation verbosity; bootsplash fix
  to use both 'bootsplash' and 'bootsplash.conf' rather than 'bootsplash'
  and also docache support which should work on at least loopFSes for now.

  22 Mar 2004; Jason Wever <weeve@gentoo.org> sparc/config.sh:
  Fixed MAKEOPTS for sparc32 so kernels will reliably build.

  21 Mar 2004; Tim Yamin <plasmaroo@gentoo.org> README, TODO,
  gen_cmdline.sh, gen_compile.sh, gen_configkernel.sh,
  gen_determineargs.sh, gen_funcs.sh, gen_initrd.sh,
  generic/initrd.defaults, generic/initrd.scripts,
  +generic/keymaps.tar.gz, generic/linuxrc, generic/modprobe,
  genkernel, genkernel.conf, x86/modules_load:
  Version bump. Closes bugs #34948, #37371, #41129, #41166,
  #42725, #42815, #44127, #44556, and #44601.

  20 Mar 2004; Tim Yamin <plasmaroo@gentoo.org>
  -pkg/busybox-1.00-pre8-alpha.patch,
  -pkg/busybox-1.00-pre8-crypto-losetup.patch,
  -pkg/busybox-1.00-pre8-losetup-alpha.tar.bz2:
  Removing broken 1.00-pre8 busybox.

  08 Mar 2004; Tom Gall <tgall@gentoo.org>
  +ppc64/kernel-2.6-pSeries, +ppc64/kernel-2.6.g5:
  g5 and pseries kernel config

  08 Mar 2004; Brad House <brad_mssw@gentoo.org> +ppc64,
  +ppc64/busy-config, +ppc64/config.sh, +ppc64/modules_load:
  ppc64 profile

  06 Mar 2004; Pieter van den Abeele <pvdabeel@gentoo.org>
  +ppc/2.6.3-benh2-G4-SMP.autoload, +ppc/2.6.3-benh2-G4.autoload,
  +ppc/2.6.3-benh2-G5-SMP.autoload, +ppc/2.6.3-benh2-G5.autoload:
  What stuff needs to be automatically loaded for each kernel

  06 Mar 2004; Pieter van den Abeele <pvdabeel@gentoo.org>
  ppc/G4, ppc/G4-SMP, ppc/G5, ppc/G5-SMP:
  bugfixes - posible /proc mounting lock bug solution included (removed
  rivafb support)

  06 Mar 2004; Pieter van den Abeele <pvdabeel@gentoo.org>
  ppc/G4, ppc/G4-SMP, ppc/G5, ppc/G5-SMP:
  bugfixed kernels - still rivafb enabled

  01 Mar 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  version bump

  01 Mar 2004; Brad House <brad_mssw@gentoo.org> genkernel.conf:
  busybox version change

  27 Feb 2004; Daniel Robbins <drobbins@gentoo.org>
  gen_initrd.sh:
  initrd bootsplash fix to use "default"

  27 Feb 2004; Pieter van den Abeele <pvdabeel@gentoo.org>
  -ppc/G3, -ppc/G3-SMP:
  Migrated G3 into G4

  26 Feb 2004; Pieter van den Abeele <pvdabeel@gentoo.org>
  +ppc/G3, +ppc/G3-SMP, +ppc/G4, +ppc/G4-SMP, +ppc/G5,
  +ppc/G5-SMP, -ppc/kernel-config-2.4-g3g4,
  -ppc/kernel-config-2.4-g5:
  Updated kernel .configs.
  
  G5-SMP verified to work on dual G5 1.8 w. radeon and 160G SATA
  Others are being tested right now

  25 Feb 2004; Brad House <brad_mssw@gentoo.org>
  +pkg/busybox-1.00-pre7-losetup-crypto-alpha.tar.bz2:
  busybox pre7 patched

  25 Feb 2004; Brad House <brad_mssw@gentoo.org> genkernel,
  genkernel.conf, +pkg/busybox-1.00-pre7-crypto-losetup-2.patch,
  -pkg/busybox-1.00-pre7-crypto-losetup-2.tar.bz2,
  +pkg/busybox-1.00-pre8-alpha.patch,
  +pkg/busybox-1.00-pre8-crypto-losetup.patch,
  +pkg/busybox-1.00-pre8-losetup-alpha.tar.bz2:
  busybox update and alpha fix

  25 Feb 2004; Brad House <brad_mssw@gentoo.org>
  generic/linuxrc, generic/modprobe:
  script updates, less debugging, and modprobe return code fix

  25 Feb 2004; Brad House <brad_mssw@gentoo.org>
  x86/kernel-config-2.4:
  too many complaints, make reiser static

  22 Feb 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  version update

  22 Feb 2004; Brad House <brad_mssw@gentoo.org>
  +pkg/busybox-1.00-pre7-crypto-losetup-2.tar.bz2:
  busybox tarball

  22 Feb 2004; Brad House <brad_mssw@gentoo.org>
  generic/linuxrc, genkernel.conf,
  -pkg/busybox-1.00-pre7-crypto-losetup.patch,
  -pkg/busybox-1.00-pre7-crypto-patched.tar.bz2,
  x86_64/kernel-config-2.6, +x86_64/kernel-config-2.6-emachines,
  +x86_64/kernel-config-2.6-smp:
  gcloop fixes

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  create /dev/console if for some reason /dev wasn't on the fs

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  temp move

  14 Feb 2004; Brad House <brad_mssw@gentoo.org>
  +pkg/busybox-1.00-pre7-crypto-patched.tar.bz2:
  pkg

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> genkernel.conf,
  -pkg/busybox-1.00-pre3-patched.tar.bz2,
  -pkg/busybox-1.00-pre3.tar.bz2,
  +pkg/busybox-1.00-pre7-crypto-losetup.patch:
  busybox updates

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  gcloop fix

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> genkernel,
  +pkg/ppc, +pkg/ppc/README:
  updates

  14 Feb 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  initrd updates for correctness, squashfs, and gcloop

  12 Feb 2004; Luca Barbato <lu_zero@gentoo.org> +pkg/ppc64,
  +pkg/ppc64/README, +ppc, +ppc/busy-config, +ppc/config.sh,
  +ppc/kernel-config-2.4-g3g4, +ppc/kernel-config-2.4-g5,
  +ppc/modules_load:
  pvdabeel's first import.

  08 Feb 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  typo

  07 Feb 2004; Brad House <brad_mssw@gentoo.org>
  generic/linuxrc, genkernel:
  beta10 finalizations

  07 Feb 2004; Brad House <brad_mssw@gentoo.org> gen_compile.sh:
  make modules_install should use -j1 only

  07 Feb 2004; Brad House <brad_mssw@gentoo.org>
  gen_configkernel.sh:
  err, backed up wrong file :)

  03 Feb 2004; Guy Martin <gmsoft@gentoo.org> +parisc64,
  +parisc64/busy-config, +parisc64/config.sh,
  +parisc64/kernel-config-2.4, +parisc64/modules_load,
  +pkg/parisc64, +pkg/parisc64/README:
  Ported to parisc64

  31 Jan 2004; Brad House <brad_mssw@gentoo.org>
  gen_determineargs.sh:
  make commandline debugfile option work

  30 Jan 2004; Brad House <brad_mssw@gentoo.org>
  generic/modprobe, x86_64/modules_load:
  modprobe fixes, and scsi module updates for x86_64

  30 Jan 2004; Brad House <brad_mssw@gentoo.org>
  generic/linuxrc, genkernel:
  hwopts fix

  28 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  cleanups

  28 Jan 2004; Brad House <brad_mssw@gentoo.org> gen_initrd.sh:
  debugfile truncation fix

  28 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  version bump

  28 Jan 2004; Brad House <brad_mssw@gentoo.org>
  x86/kernel-config-2.6, x86_64/kernel-config-2.6:
  kernel config updates

  28 Jan 2004; Brad House <brad_mssw@gentoo.org>
  gen_configkernel.sh, genkernel:
  misc fixes in relation to kernel configs

  25 Jan 2004; Brain Jackson <iggy@gentoo.org>
  x86/kernel-config-2.4:
  new default config, works well with gentoo-sources

  24 Jan 2004; Brad House <brad_mssw@gentoo.org> gen_funcs.sh,
  generic/linuxrc, genkernel:
  updates

  18 Jan 2004; Brad House <brad_mssw@gentoo.org> +alpha,
  +alpha/busy-config, +alpha/config.sh, +alpha/kernel-config-2.4,
  +alpha/modules_load, +pkg/alpha, +pkg/alpha/README:
  add alpha profile

  17 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  version bump

  17 Jan 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  must bind-mount dev for loop devices

  17 Jan 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  support multiple loop types

  11 Jan 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  not -t ext3 use -t ext2 Im and idiot

  11 Jan 2004; Brad House <brad_mssw@gentoo.org>
  generic/linuxrc, genkernel:
  fix for loop device mounting

  11 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  genkernel

  11 Jan 2004; Brad House <brad_mssw@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  more fixes

  11 Jan 2004; Brad House <brad_mssw@gentoo.org>
  generic/initrd.scripts, generic/linuxrc:
  fixes

  11 Jan 2004; Brad House <brad_mssw@gentoo.org> generic/linuxrc:
  livecd fixes

  10 Jan 2004; Brad House <brad_mssw@gentoo.org> gen_compile.sh:
  uname machine for parisc, etc

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> +pkg/sparc,
  +pkg/sparc/README, +pkg/sparc64, +pkg/sparc64/README:
  dont forget placeholders for pkg directory

  08 Jan 2004; Brad House <brad_mssw@gentoo.org>
  x86_64/kernel-config-2.6:
  updated config

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> +TODO:
  todo

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  version bump

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> genkernel:
  fix

  08 Jan 2004; Brad House <brad_mssw@gentoo.org>
  x86_64/kernel-config-2.6:
  updated kernel config

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  gen_funcs.sh, genkernel:
  check for loop devices and fix debug printing

  08 Jan 2004; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, generic/linuxrc, parisc/config.sh,
  sparc/config.sh, sparc64/config.sh, x86/config.sh,
  x86_64/config.sh:
  add makeopts params, and fixes for if old coreutils is in root

  05 Jan 2004; Jason Wever <weeve@gentoo.org> +sparc,
  +sparc/busy-config, +sparc/config.sh, +sparc/kernel-config,
  +sparc/modules_load, +sparc64, +sparc64/busy-config,
  +sparc64/config.sh, +sparc64/kernel-config,
  +sparc64/modules_load:
  Added sparc and sparc64 dirs for genkernel.

  03 Jan 2004; Guy Martin <gmsoft@gentoo.org> +parisc,
  +parisc/busy-config, +parisc/config.sh,
  +parisc/kernel-config-2.4, +parisc/modules_load, +pkg/parisc,
  +pkg/parisc/README:
  Added parisc files

  31 Dec 2003; Seemant Kulleen <seemant@gentoo.org>
  +x86/kernel-config-2.4:
  2.4 config thanks to iggycvs add kernel-config-2.4

  24 Dec 2003; Brad House <brad_mssw@gentoo.org>
  gen_determineargs.sh:
  no bootsplash fix

  24 Dec 2003; Brad House <brad_mssw@gentoo.org> genkernel:
  reverse kernel compile with modules make

  23 Dec 2003; Brad House <brad_mssw@gentoo.org> README,
  +genkernel, -genkernel.sh:
  genkernel move

  23 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, gen_initrd.sh, generic/linuxrc,
  genkernel.sh:
  no initrd modules stuff

  23 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, +gen_package.sh, genkernel.sh:
  changes for livecd stuff

  22 Dec 2003; Brad House <brad_mssw@gentoo.org> README:
  notes

  22 Dec 2003; Brad House <brad_mssw@gentoo.org>
  gen_determineargs.sh:
  get extraversion properly

  17 Dec 2003; Brad House <brad_mssw@gentoo.org>
  -x86_64/modprobe:
  remove modprobe from x86_64

  17 Dec 2003; Brad House <brad_mssw@gentoo.org> README,
  gen_initrd.sh, gen_moddeps.sh, generic/initrd.defaults,
  generic/initrd.scripts, generic/linuxrc, generic/modprobe,
  x86_64/modules_load:
  fixes

  17 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_initrd.sh,
  generic/linuxrc, -x86/linuxrc, x86/modules_load,
  x86_64/modules_load:
  more generic

  17 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_initrd.sh,
  +generic, +generic/initrd.defaults, +generic/initrd.scripts,
  +generic/linuxrc, +generic/modprobe, -x86_64/initrd.defaults,
  -x86_64/initrd.scripts, -x86_64/linuxrc:
  make more generic

  16 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_initrd.sh,
  +gen_moddeps.sh, genkernel.sh, +x86_64/initrd.defaults,
  +x86_64/initrd.scripts, x86_64/linuxrc, +x86_64/modprobe,
  x86_64/modules_load:
  integrate new initrd, and module scanning

  10 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_initrd.sh:
  killall

  10 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_initrd.sh:
  devfsd fixes

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh:
  typos

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  x86/config.sh, x86_64/config.sh:
  fix

  09 Dec 2003; Brad House <brad_mssw@gentoo.org>
  +pkg/busybox-1.00-pre2-decl.patch:
  stuff

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_determineargs.sh, x86/config.sh,
  x86_64/config.sh:
  different makes for kernel and utils

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, x86/config.sh, x86_64/config.sh:
  add make variable

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  x86/config.sh:
  KERNEL_MAKE_2 for sparc

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> genkernel.conf,
  +pkg/busybox-1.00-pre3-patched.tar.bz2:
  busybox stuff

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  gen_determineargs.sh, genkernel.conf, genkernel.sh:
  add devfsd support

  09 Dec 2003; Brad House <brad_mssw@gentoo.org>
  +pkg/devfsd-1.3.25-dietlibc-kernel25.tar.bz2,
  +pkg/devfsd-1.3.25-dietlibc.patch:
  devfsd dietlibc stuff

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  x86/config.sh, x86_64/config.sh:
  fixes

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh:
  umm, make configure scripts work with CC, AS, and LD set or unset

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh:
  don't forget 'env' before

  09 Dec 2003; Brad House <brad_mssw@gentoo.org>
  +pkg/modutils-2.4.26.tar.bz2:
  forgot modutils package

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_compile.sh, gen_configkernel.sh, gen_determineargs.sh,
  x86/config.sh, x86_64/config.sh:
  need seperate toolkit for compilation of kernel and utils on sparc64

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_compile.sh,
  gen_determineargs.sh:
  fixes for sparc, cant set LD or AS for sparc64

  09 Dec 2003; Brad House <brad_mssw@gentoo.org>
  gen_configkernel.sh, gen_determineargs.sh, genkernel.conf,
  -x86/kernel-config, +x86/kernel-config-2.6,
  -x86_64/kernel-config, +x86_64/kernel-config-2.6:
  make friendly with 2.4

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> gen_cmdline.sh,
  gen_determineargs.sh, +pkg/x86, +pkg/x86/README, +pkg/x86_64,
  +pkg/x86_64/README:
  fixes

  09 Dec 2003; Brad House <brad_mssw@gentoo.org> README,
  gen_compile.sh, gen_initrd.sh, genkernel.conf, genkernel.sh:
  2.4 kernel updates

  08 Dec 2003; Brad House <brad_mssw@gentoo.org> +README,
  +gen_arch.sh, +gen_cmdline.sh, +gen_compile.sh,
  +gen_configkernel.sh, +gen_determineargs.sh, +gen_funcs.sh,
  +gen_initrd.sh, +genkernel.conf, +genkernel.sh, +notes, +pkg,
  +pkg/busybox-1.00-pre3.tar.bz2, +pkg/dietlibc-0.24.tar.bz2,
  +pkg/module-init-tools-0.9.15-pre4.tar.bz2, +x86,
  +x86/busy-config, +x86/config.sh, +x86/kernel-config,
  +x86/linuxrc, +x86/modules_load, +x86_64, +x86_64/busy-config,
  +x86_64/config.sh, +x86_64/kernel-config, +x86_64/linuxrc,
  +x86_64/modules_load:
  add new genkernel dev
